Bug 224669 - [exp-run] Against projects/clang600-import branch
Summary: [exp-run] Against projects/clang600-import branch
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Port Management Team
URL:
Keywords:
Depends on: 216047 216060 216070 216077 216080 219139 224604 224816 224826 224828 224863 224866 224867 224868 224927 224929 224930 224945 224946 224947 224988 224989 224994 224995 225006 225054 225086 225129 225266 225268 225269 225271 225275 225285 225304 225307 225345 225456 225482 225488 226180 226658 227951
Blocks: 230355
  Show dependency treegraph
 
Reported: 2017-12-29 13:03 UTC by Dimitry Andric
Modified: 2018-08-10 23:01 UTC (History)
7 users (show)

See Also:
jbeich: maintainer-feedback? (amdmi3)


Attachments
Convert pre-UAL mnemonics in libffi's sysv.S (1.39 KB, patch)
2018-01-14 23:08 UTC, Dimitry Andric
no flags Details | Diff
[don't land] Restore C++98 by default (766 bytes, patch)
2018-01-20 23:14 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitry Andric freebsd_committer 2017-12-29 13:03:14 UTC
I have imported recent versions of llvm, clang, compiler-rt, libc++, lld and lldb 6.0.0 (trunk r321545) into the projects/clang600-import branch.  This branch has been synchronized with head r327340, as of 2017-12-29.

Please perform an exp-run against this branch.
Comment 1 Dimitry Andric freebsd_committer 2018-01-01 13:28:27 UTC
Note that one important change in clang++ 6.0.0 is that the C++ mode now defaults to -std=gnu++14, just like gcc 6 and higher.

So the easiest way to fix ports that break because of this is to specify USE_CXXSTD=gnu++98 for them.
Comment 2 Dimitry Andric freebsd_committer 2018-01-01 19:21:36 UTC
Created bug 224826 for sysutils/smartmontools.
Comment 3 Dimitry Andric freebsd_committer 2018-01-01 19:58:32 UTC
Created bug 224828 for devel/valgrind and devel/valgrind-devel.
Comment 4 Antoine Brodin freebsd_committer 2018-01-03 09:46:58 UTC
Exp-run results on amd64:

http://package18.nyi.freebsd.org/build.html?mastername=headamd64PR224669-default&build=2018-01-02_08h32m49s

New failures on amd64:

+ {"origin"=>"accessibility/qt4-accessible", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"archivers/p7zip", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"archivers/pbzip2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"archivers/ppmd", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"archivers/unalz", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"archivers/xmill", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"astro/celestia", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"astro/celestia-gtk", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"astro/starplot", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"astro/wmsolar", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"astro/xplanet", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"audio/HVSC-Update", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"audio/aacgain", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/audiere", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/calf", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/caps-lv2", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"audio/ecasound", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/epos-devel", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/espeak", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/festival", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/hydrogen", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/hydrogen-devel", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/libcoverart", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"audio/libmusicbrainz3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/libsidplay", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"audio/lmms", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/mac", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"audio/milkytracker", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/mp3plot", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"audio/muse", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/osalp", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/sidplay2", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"audio/sidplayer", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/spiralloops", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"audio/spiralsynthmodular", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"audio/splay", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"audio/terminatorx", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/x42-plugins-lv2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"audio/xanalyser", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/zinf", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"benchmarks/glmark2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"benchmarks/postal", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"biology/avida", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"biology/lamarc", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"biology/libgtextutils", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"biology/primer3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"biology/protomol", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"biology/seaview", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"cad/brlcad", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"cad/calculix", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"cad/leocad", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"cad/qfsm", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"cad/qmls", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"cad/stepcode", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"chinese/pcmanx", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"comms/aprsd", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"comms/fllog", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"comms/flrig", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"comms/flwrap", "phase"=>"build", "errortype"=>"automake"}
+ {"origin"=>"comms/gsmlib", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"comms/hylafax", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"comms/splat", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"comms/telldus-core", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"comms/uhd", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"comms/usrp", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"comms/xmorse", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"converters/wkhtmltopdf", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/dbtool", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/firebird25-client", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/hamsterdb", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"databases/kyotocabinet", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"databases/libdrizzle-redux", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/libodbc++", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/mariadb55-server", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"databases/metakit", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"databases/mysql55-client", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/mysql56-client", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/mysql57-client", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/mysqlwsrep56-server", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/percona-pam-for-mysql", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/percona55-server", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"databases/percona56-server", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/percona57-pam-for-mysql", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/percona57-server", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/xapian-core10", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"deskutils/fbreader", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"deskutils/ical", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"deskutils/libstreamanalyzer", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/aarch64-gcc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/aarch64-none-elf-gcc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/arm-none-eabi-gcc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/arm-none-eabi-gcc492", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/avarice", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/avr-gcc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/aws-sdk-cpp", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/bossa", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/ccdoc", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"devel/clanlib1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/cld2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/commoncpp", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/cpprestsdk", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/darts", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/dbus-c++", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/dmucs", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/edb", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/gcc-msp430-ti-toolchain", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"devel/gearmand", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/gearmand-devel", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/glademm", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/godot", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/godot-tools", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/gpsim", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/hapy", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/jrtplib", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/kaptain", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/kyra", "phase"=>"build", "errortype"=>"makefile"}
+ {"origin"=>"devel/lfcbase", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/libchipcard", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/libhoard", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/libopkele", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/librolegen", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/libsigc++12", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/log4cxx", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/mico", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/mingw32-gcc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/mips-gcc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/mips64-gcc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/mq4cpp", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/ncc", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"devel/omniORB-4.1", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"devel/papilio-loader", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/powerpc64-gcc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/py-bullet3", "flavor"=>"py36", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/py-bullet3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/pypersrc", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/qmake", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/qt4-script", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/rubygem-eventmachine", "phase"=>"stage", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/rudeconfig", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/sfml", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/shiboken", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/sparc64-gcc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/staf", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/tinyq", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/uatraits", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/valgrind", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/valgrind-devel", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/vxlog", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"dns/bundy", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"editors/fxite", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"editors/hte", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"editors/le", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"editors/manedit", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"editors/pdfedit", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"editors/zoinks", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/aqemu", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"emulators/desmume", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/dgen-sdl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/frodo", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"emulators/fs-uae", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"emulators/gem5", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/mupen64plus-video-glide64", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"emulators/mupen64plus-video-glide64mk2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"emulators/open-vm-tools", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"emulators/open-vm-tools-nox11", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"emulators/quasi88", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/snes9x", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"emulators/vba", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"emulators/virtualbox-ose-additions", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/virtualbox-ose-additions-nox11", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/virtualbox-ose-nox11", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/visualboyadvance-m", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"emulators/wine", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"emulators/wine-devel", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"emulators/xbraitenberg", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/xen-kernel", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"emulators/yape", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"finance/aqbanking", "phase"=>"build", "errortype"=>"makefile"}
+ {"origin"=>"finance/openhbci", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"french/med", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/CaribbeanStud", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/allacrost", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/apricots", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/aquaria", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/avanor", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/bastet", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/billardgl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/blackshadeselite", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/boswars", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/chapping", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/chessx", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/columns", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/construo", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/crack-attack", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/crrcsim", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/drcreep", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/dungeoncrawl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/eboard", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/edge", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/flukz", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/flying", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/frobtads", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/gillo", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/glob2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/iortcw", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/ivan", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/jaggedalliance2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/kcheckers", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/kobodeluxe", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/kuklomenos", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/libdungeonmaker", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/linwarrior", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/maelstrom", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/marsnomercy", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/minetest", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/netradiant", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/numptyphysics", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/openrct2", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"games/paintown", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/pouetchess", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/powder", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/pykawari", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/qgo", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/quadra", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/rtb", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/seahaven", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/species", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/spellathon", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/stepmania-devel", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/stormbaancoureur", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/stratagus", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/torcs", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/toycars", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/ultimatestunts", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/valyriatear", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/vamos", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/vegastrike", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/voxelands", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/voxelands-server", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/warsow", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/xconq", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/xevil", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/xmahjongg", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/xmemory", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/xminehunter", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/xpacman", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/xptools", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/xsc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/xye", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/yadex", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/Coin", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/GraphicsMagick", "phase"=>"package", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/ampasACES-container", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/apvlv", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/cal3d", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/enblend", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/evolvotron", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/exact-image", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/fig2sxd", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/fracplanet", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/freeimage", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/frei0r-plugins-opencv", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/glosm", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/graphopt", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/inventor", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/lensfun", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/libfpx", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"graphics/libgltf", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/libprojectm", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/libraw", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/luxrender", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/mandelbulber", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/megapov", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"graphics/nvidia-texture-tools", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/opencollada", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/partio", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/povray36", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/povray37", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/qslim", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/quesa", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/silgraphite", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/sswf", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/xpx", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"graphics/yafray", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"hebrew/he2", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"irc/kvirc-qt4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/netwalker-ircc", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"japanese/groff", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"japanese/zinnia", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"java/jikes", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"java/jlint", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/openjdk6", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"java/openjdk6-jre", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"java/openjdk7", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/openjdk7-jre", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/openjdk8", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/openjdk8-jre", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/bf2c", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/gcc48", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/gcc49", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/gcc5", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/guile2", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"lang/maude", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"lang/nqc", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"lang/phantomjs", "phase"=>"build", "errortype"=>"assumes_gcc"}
+ {"origin"=>"lang/polyml", "phase"=>"build", "errortype"=>"termios"}
+ {"origin"=>"lang/ptoc", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"lang/spidermonkey170", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/spidermonkey185", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"lang/spidermonkey24", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"lang/v8", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"mail/archiveopteryx", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"mail/bincimap", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/libdkim", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"mail/mailsync", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"mail/mbox2mdir", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/nullmailer", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/blitz++", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"math/clblas", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"math/clfft", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/clp", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/coinmp", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/drgeo", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"math/goblin", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"math/ipopt", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/minisat", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/ogdf", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/py-graphillion", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"math/py-matplotlib", "flavor"=>"py36", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"math/py-matplotlib", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"math/qwtplot3d-qt4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/rapid", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/sundials", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/z3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/free42", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/linm", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"misc/qbrew", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/xdelta3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/asdcplib", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/cx88", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/dirac", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/libvdpau-va-gl", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/mp4v2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/sabbu", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/smpeg", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/smpeg2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/vdr", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-im/centerim", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-im/centerim-devel", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-im/imspector", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-im/jabber", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-im/licq", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-mgmt/arts++", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"net-mgmt/centreon-clib", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-mgmt/dhcdrop", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"net-mgmt/ipv6calc", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"net-mgmt/kismet", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/jigdo", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"net-p2p/mldonkey-core", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/namecoin-daemon", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-p2p/twister", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net/cagibi", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/crtmpserver", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/dbeacon", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/delegate", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net/freeswitch", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/hupnp", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net/iodine", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"net/latd", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/libproxy", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/libtrace", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/libutp", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/libzmq3", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"net/linknx", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/minisapserver", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/opal", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/paris-traceroute", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/skstream", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/stund", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/tcpreen", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/udt", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/xmlrpc-c", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/xprobe", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/yate", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"news/golded+", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"news/newscache", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"news/nget", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"news/pan", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"print/qpdf", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"print/tex-luatex", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"print/xmbibtex", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"science/bddsolve", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/crf++", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"science/libkml", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"science/mpqc", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"science/orthanc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/akmos", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"security/apache-xml-security-c", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"security/doscan", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"security/keepassx", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/md5deep", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/ncrack", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/openvpn-auth-radius", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"security/pkcs11-dump", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/py-pycryptopp", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"security/sancp", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"security/steghide", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/yapet", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"shells/fish", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/aimage", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/apachetop", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"sysutils/bbcp", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/boxbackup", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/daa2iso", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"sysutils/dvd+rw-tools", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/fusefs-rar2fs", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/geomWatch", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/istatserver", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"sysutils/lineakd", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/mdcp", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"sysutils/npadmin", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"sysutils/openhpi", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/qpxtool", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"sysutils/rfstool", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"sysutils/samesame", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/searchmonkey", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"sysutils/synergy", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"sysutils/xen-tools", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"sysutils/zidrav", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"textproc/aspell", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"textproc/exempi", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"textproc/gmetadom", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"textproc/htdig", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"textproc/jade", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"textproc/mifluz", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"textproc/opensp", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"textproc/py-pyctpp2", "flavor"=>"py36", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"textproc/py-pyctpp2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"textproc/randlm", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"textproc/sablotron", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"textproc/scim", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"textproc/soothsayer", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"textproc/soprano", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"textproc/source-highlight", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"textproc/uim", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"vietnamese/x-unikey", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"www/bookmarkbridge", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"www/cssed", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"www/dfileserver", "phase"=>"stage", "errortype"=>"bad_C++_code"}
+ {"origin"=>"www/domoticz", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/mod_spdy", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/squid", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"www/squid-devel", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"www/srg", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"www/suphp", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/swish++", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/tinytinyhttpd", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"x11-clocks/buici-clock", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-clocks/glclock", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"x11-fm/qtfm", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-toolkits/attica", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-toolkits/fltk-devel", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-toolkits/nucleo", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"x11-toolkits/v", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"x11-wm/blackbox", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-wm/ede", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-wm/icewm", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-wm/jewel", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-wm/obpager", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-wm/pekwm", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11/fbdesk", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"x11/nxcomp", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"x11/qimageblitz", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"x11/virtualgl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11/wbar", "phase"=>"build", "errortype"=>"???"}
Comment 5 Antoine Brodin freebsd_committer 2018-01-03 09:47:35 UTC
New failure logs on amd64:


http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/qt4-accessible-4.8.7_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/p7zip-16.02.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/pbzip2-1.1.13.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/ppmd-20050811.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/unalz-0.65_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/xmill-0.8.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/celestia-glut-1.6.1_9.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/celestia-gtk-1.6.1_9.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/starplot-0.95.5_7.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/wmsolar-1.1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/xplanet-1.3.0_10.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/HVSC-Update-2.8.7.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/aacgain-1.8_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/audiere-1.9.4_7.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/calf-0.0.60_6.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/caps-lv2-g20170626.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/ecasound-2.9.1_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/epos-2.5.37_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/espeak-1.48.04_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/festival-2.4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/hydrogen-0.9.6.1_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/hydrogen-devel-0.9.7a.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/libcoverart-1.0.0_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/libmusicbrainz3-3.0.3_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/libsidplay-1.36.59_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/lmms-1.1.3_1,2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/mac-3.99.4.5.7.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/milkytracker-1.01.00.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/mp3plot-0.6.0_19.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/MuSE-0.9.2_16.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/osalp-0.7.5_7.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/sidplay2-2.0.9_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/sidplayer-4.4_8.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/spiralloops-2.0.0_9.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/spiralsynthmodular-0.2.2a_9.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/splay-0.9.5.2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/terminatorx-3.84_8.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/x42-plugins-lv2-20170428.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/xanalyser-1.32_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/zinf-2.2.5_22.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/glmark2-2014.03_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/postal-0.73_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/avida-2.12.4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/lamarc-2.1.8_1,1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/libgtextutils-0.7.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/primer3-2.3.6.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/protomol-2.0.3_13.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/seaview-4.6.2,1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/brlcad-7.24.0_5.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/calculix-2.13.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/leocad-0.80.3_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/qfsm-0.54.0.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/qmls-0.2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/stepcode-0.8_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/zh-pcmanx-1.3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/aprsd-2.2.515_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/fllog-1.2.4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/flrig-1.3.35.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/flwrap-1.3.4_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/gsmlib-1.10_8.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/hylafax-6.0.6_7.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/splat-1.4.0.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/telldus-core-2.1.2_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/uhd-3.10.2.0.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/usrp-3.4.3_15.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/xmorse-20041125_10.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/wkhtmltopdf-0.12.4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/dbtool-1.9.1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/firebird25-client-2.5.6_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/hamsterdb-2.1.11_5.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/kyotocabinet-1.2.76_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/libdrizzle-redux-5.1.4_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/libodbc++-0.2.5_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/mariadb55-server-5.5.58.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/metakit-2.4.9.7_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/mysql55-client-5.5.58.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/mysql56-client-5.6.38.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/mysql57-client-5.7.20_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/mysqlwsrep56-server-5.6.38.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/percona-pam-for-mysql-5.6.38.83.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/percona55-server-5.5.58.38.10.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/percona56-server-5.6.38.83.0.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/percona57-pam-for-mysql-5.7.20.18.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/percona57-server-5.7.20.18.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/xapian-core10-1.0.23_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/fbreader-0.99.6_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/ical-2.2_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/libstreamanalyzer-0.7.8_9.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/aarch64-gcc-6.3.0.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/aarch64-none-elf-gcc-6.3.0.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/arm-none-eabi-gcc-6.3.0.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/arm-none-eabi-gcc492-4.9.2_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/avarice-2.13_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/avr-gcc-5.4.0.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/aws-sdk-cpp-1.3.15.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/bossa-1.7.0_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/ccdoc-0.8r41.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/clanlib1-1.0.0_8.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/cld2-20150505.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/commoncpp-1.8.1_2,2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/cpprestsdk-2.9.1_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/darts-0.32.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/dbus-c++-0.9.1_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/dmucs-0.6.1_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/edb-0.9.18_8.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/gcc-msp430-ti-toolchain-6.4.0.5.01.00.00.20170831.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/gearmand-1.0.6_12.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/gearmand-devel-1.1.8_11.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/glademm-2.6.0_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/godot-2.1.2_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/godot-tools-2.1.2_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/gpsim-0.29.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/hapy-0.0.8_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/jrtplib-3.11.1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/kaptain-0.73.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/kyra-2.1.3_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/lfcbase-1.11.5.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/libchipcard-5.0.4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/libhoard-3.10.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/libopkele-2.0.4_10.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/librolegen-1.0b.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/libsigc++12-1.2.7_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/log4cxx-0.10.0_12.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/mico-2.3.13_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/mingw32-gcc-4.8.1_1,1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/mips-gcc-6.3.0.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/mips64-gcc-6.3.0.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/mq4cpp-1.16_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/ncc-2.8_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/omniORB41-4.1.7_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/papilio-loader-2.8_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/powerpc64-gcc-6.3.0.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/py36-bullet3-2.87.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/py27-bullet3-2.87.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/pypersrc-20120106_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/qmake-3.3.8_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/qt4-script-4.8.7_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/rubygem-eventmachine-1.2.5.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/rudeconfig-5.0.5_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/sfml-2.4.2_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/shiboken-1.2.2_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/sparc64-gcc-6.3.0.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/staf-3.4.23_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/tinyq-3.0.6_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/uatraits-20130430_8.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/valgrind-3.10.1.20160113_5,1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/valgrind-devel-3.10.1.20160113_5,1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/vxlog-1.0.3_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/bundy-0.20170618_9.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/fxite-0.92_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/hte-2.1.0.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/le-1.14.9_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/manedit-1.2.1_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/pdfedit-0.4.5_8.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/zoinks-0.4.1_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/aqemu-0.8.2_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/desmume-0.9.11_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/dgen-sdl-1.33_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/frodo-4.1b_11.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/fs-uae-2.4.1_5.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/gem5-0.0.20140422.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/mupen64plus-video-glide64-2.5_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/mupen64plus-video-glide64mk2-2.5_10.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/open-vm-tools-10.2.0_1,2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/open-vm-tools-nox11-10.2.0_1,2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/quasi88-0.6.4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/snes9x-1.51_7.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/vba-1.7.2_13.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/virtualbox-ose-additions-5.2.4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/virtualbox-ose-additions-nox11-5.2.4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/virtualbox-ose-nox11-5.2.4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/visualboyadvance-m-2.0.0b2_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/wine-2.0.3,1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/wine-devel-3.0.r4,1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/xbraitenberg-0.9_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/xen-kernel-4.7.2_7.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/yape-0.32.5_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/aqbanking-5.6.12.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/openhbci-0.9.17.2_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/fr-med-3.2.1_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/CaribbeanStud-1.0_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/allacrost-1.0.2_20.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/apricots-0.2.6_6.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/aquaria-1.002.22_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/avanor-0.5.8.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/bastet-0.43_8.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/billardgl-1.75_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/blackshadeselite-0.0.1_10.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/boswars-2.6.1_10.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/chapping-0.43_13.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/chessx-1.3.2_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/columns-1.2b_9.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/construo-0.2.3_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/crack-attack-1.1.14_15.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/crrcsim-0.9.13_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/drcreep-1.1,1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/dungeoncrawl-4.0.0.b26.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/eboard-1.1.1_7.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/edge-1.35_9.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/flukz-0.4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/flying-6.20_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/frobtads-1.2.3_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/gillo-1.0.b1_10.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/glob2-0.9.4.4_19.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/iortcw-1.51,1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/ivan-0.50_7.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/ja2-0.14.01.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/kcheckers-0.8.1_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/kobodeluxe-0.5.1_13.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/kuklomenos-0.4.5_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/libdungeonmaker-2.05_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/linwarrior-20100320_5.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/maelstrom-3.0.6_13.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/marsnomercy-0.2.1_12.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/minetest-0.4.16.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/netradiant-20130630_8.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/numptyphysics-0.3.r20090104_9.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/openrct2-0.1.1_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/paintown-3.6.0_7.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/pouetchess-0.1.1_14.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/powder-115_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/pykawari-8.2.8_7.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/qgo-2.s764.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/quadra-1.3.0_6.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/RealTimeBattle-1.0.8_11.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/seahaven-1.60_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/species-1.2d_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/spellathon-6.0_5.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/stepmania-devel-5.0.11_5,1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/stormbaancoureur-2.1.6_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/stratagus-2.4.1_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/torcs-1.3.7_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/toycars-0.3.10_8.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/ultimatestunts-0.7.7.1_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/valyriatear-1.0.0_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/vamos-0.7.1_13.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/vegastrike-0.5.1.r1_10.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/voxelands-1604.00_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/voxelands-server-1604.00_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/warsow-1.51_5.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/xconq-7.5.0.0.p.0.20050612_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/xevil-2.02.r2_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/xmahjongg-3.7_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/xmemory-3.7_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/xminehunter-0.4_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/xpacman-1.002.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/xptools-w.161.r1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/xsc-1.6_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/xye-0.12.2_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/yadex-1.7.0_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/Coin-3.1.3_11.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/GraphicsMagick-1.3.27,1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/ampasACES-container-1.0.2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/apvlv-0.1.4_10.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/cal3d-0.11.1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/enblend-4.1.4_14.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/evolvotron-0.6.3_7.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/exact-image-0.9.1_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/fig2sxd-0.22.1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/fracplanet-0.4.0_14.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/freeimage-3.16.0_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/frei0r-plugins-opencv-1.5.0_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/glosm-0.0.2_6.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/graphopt-0.4.1_8.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/inventor-2.1.5.p10_14.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/lensfun-0.3.2_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/libfpx-1.3.1.4_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/libgltf-0.0.2_10.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/libprojectM-2.0.1_5.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/libraw-0.18.5.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/luxrender-1.6_7.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/mandelbulber-1.13.1_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/megapov-1.2.1_8.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/nvidia-texture-tools-2.0.8.1_9.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/opencollada-1.6.47.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/partio-1.1.0.20150221_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/povray36-3.6.1_13.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/povray37-3.7.0.r6_12.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/qslim-2.1_11.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/quesa-1.8_8.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/silgraphite-2.3.1_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/sswf-1.8.4_5.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/xpx-1.41_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/yafray-0.0.9_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/iw-he2-0.61_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/kvirc-qt4-4.2.0_6.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/netwalker-ircc-0.5.0.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/ja-groff-1.18.1_17.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/ja-zinnia-0.06_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/jikes-1.22_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/jlint-3.1.2_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/openjdk6-b44,1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/openjdk6-jre-b44,1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/openjdk-7.151.01,1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/openjdk-jre-7.151.01,1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/openjdk8-8.152.16_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/openjdk8-jre-8.152.16_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/bf2c-1.3.1_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/gcc48-4.8.5_6.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/gcc49-4.9.4_5.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/gcc5-5.5.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/guile2-2.0.14_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/maude-2.6_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/nqc-3.1.r6.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/phantomjs-2.1.1_7.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/polyml-5.6.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/ptoc-3.58.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/spidermonkey170-17.0.0_7.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/spidermonkey185-1.8.5_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/spidermonkey24-24.2.0_7.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/v8-3.18.5_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/archiveopteryx-3.2.0_7.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/bincimap-1.2.13_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/libdkim-1.0.21.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/mailsync-5.2.1_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/mbox2mdir-1.4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/nullmailer-1.13_3,1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/blitz++-0.9_9.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/clblas-2.10_5.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/clfft-2.12.2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/Clp-1.16.10_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/CoinMP-1.8.3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/drgeo-1.1.0_20.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/goblin-2.8.b30_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/Ipopt-3.12.7_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/minisat-2.2.1_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/ogdf-2015.05.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/py27-graphillion-0.99.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/py36-matplotlib-1.5.3_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/py27-matplotlib-1.5.3_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/qwtplot3d-qt4-0.2.7_6.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/rapid-2.01.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/sundials-3.1.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/z3-4.5.0_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/Free42-2.0.7.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/linm-0.8.1.1_5.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/qbrew-0.4.1_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/xdelta3-3.0.11,1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/asdcplib-1.11.49_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/cx88-1.5.1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/dirac-1.0.2_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/libvdpau-va-gl-0.4.2_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/mp4v2-1.9.1_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/sabbu-0.3.0_15.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/smpeg-0.4.4_14.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/smpeg2-2.0.0_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/vdr-1.7.29_10.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/centerim-4.22.10_5.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/centerim-devel-4.22.10.11_6.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/imspector-20111108_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/jabber-1.6.1.1_20,1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/licq-base-1.8.2_8.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/arts++-1.1.a13_2,1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/centreon-clib-1.4.2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/dhcdrop-0.5_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/ipv6calc-1.0.0.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/kismet-2016.07.r1,1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/jigdo-0.7.3_8.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/mldonkey-core-3.1.5_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/namecoin-daemon-0.3.80_14,1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/twister-core-0.9.34_9,1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/cagibi-0.2.0.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/crtmpserver-0.811_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/dbeacon-0.3.9.1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/delegate-9.9.13.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/freeswitch-1.6.19_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/hupnp-1.0.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/iodine-0.7.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/latd-1.31.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/libproxy-0.4.12.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/libtrace-3.0.19_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/bittorrent-libutp-0.20130514_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/libzmq3-3.2.5.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/linknx-0.0.1.32.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/minisapserver-0.3.8_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/opal-3.10.10_15.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/paris-traceroute-0.92_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/skstream-0.3.9_5.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/stund-0.96.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/tcpreen-1.4.4_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/udt-4.11_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/xmlrpc-c-1.39.12.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/xprobe2-0.3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/yate-5.5.0.p1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/golded+-1.1.5.a20160322_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/newscache-1.2.r.6_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/nget-0.27.1_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/pan-0.141.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/qpdf-6.0.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/tex-luatex-0.80.0_7.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/xmbibtex-1.7_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/bddsolve-1.03_6.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/crf++-0.54_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/libkml-1.3.0_6.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/mpqc-2.3.1_30.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/orthanc-1.3.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/simlib-3.02_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/akmos-0.5.1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/apache-xml-security-c-1.7.3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/doscan-0.3.3_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/KeePassX-0.4.4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/md5deep-4.4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/ncrack-0.5.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/openvpn-auth-radius-2.1_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/pkcs11-dump-0.3.4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/py27-pycryptopp-0.7.1.869544967005693312591928092448767568728501330214.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/sancp-1.6.1_6.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/steghide-0.5.1_7.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/yapet-1.0_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/fish-2.7.0.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/aimage-3.2.5.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/apachetop-0.12.6_5.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/bbcp-20150116.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/boxbackup-0.11.1_5.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/daa2iso-0.1.7e_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/dvd+rw-tools-7.1_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/fusefs-rar2fs-1.26.0.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/geomWatch-1.3.0_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/istatserver-3.02.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/lineakd-0.9_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/mdcp-0.1.2.2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/npadmin-0.8.7_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/openhpi-3.6.1_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/qpxtool-0.7.2_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/rfstool-0.14.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/samesame-1.10_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/searchmonkey-2.0.0_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/synergy-1.8.8.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/xen-tools-4.7.2_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/zidrav-1.2.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/aspell-0.60.6.1_6.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/exempi-2.2.2_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/gmetadom-0.2.6_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/htdig-3.2.0.b6_6.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/jade-1.2.1_10.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/mifluz-0.26.0.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/OpenSP-1.5.2_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/py36-pyctpp2-0.12.2_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/py27-pyctpp2-0.12.2_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/randlm-0.2.5_9.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/Sablot-1.0.3_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/scim-1.4.9_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/soothsayer-0.6.3_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/soprano-2.9.4_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/source-highlight-3.1.6_8.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/uim-1.8.6_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/vi-x-unikey-1.0.4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/bookmarkbridge-0.76_6.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/cssed-0.4.0_10.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/DFileServer-1.1.3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/domoticz-3.8153_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/mod_spdy-0.9.4.1_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/squid-3.5.27_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/squid-devel-4.0.22_1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/srg-1.3.6.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/suphp-0.7.2_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/swish++-6.1.5_3.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/tinytinyhttpd-0.0.11.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/buici-clock-0.4.9.4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/glclock-6.0.b6.0_6.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/qtfm-5.5.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/attica-0.4.2_1,2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/fltk-devel-1.3.x.r10370_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/nucleo-0.7.6_20.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/v-1.90_6.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/blackbox-0.70.1_5.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/ede-2.1_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/icewm-1.3.8_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/jewel-0.12.41_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/obpager-1.8.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/pekwm-0.1.17_4,1.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/fbdesk-1.4.1_6.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/nxcomp-3.5.0.32.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/qimageblitz-0.0.6_2.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/virtualgl-2.4.1_4.log
http://package18.nyi.freebsd.org/data/headamd64PR224669-default/2018-01-02_08h32m49s/logs/errors/wbar-2.3.4_1.log
Comment 6 Dimitry Andric freebsd_committer 2018-01-03 13:52:50 UTC
(In reply to Dimitry Andric from comment #1)
> Note that one important change in clang++ 6.0.0 is that the C++ mode now
> defaults to -std=gnu++14, just like gcc 6 and higher.
> 
> So the easiest way to fix ports that break because of this is to specify
> USE_CXXSTD=gnu++98 for them.

Having thought about this a bit more, what is portmgr's opinion on defaulting to USE_CXXSTD=gnu++98 (and so passing -std=gnu++98 on the ${CXX} command line) if port Makefiles do not explicitly specify USE_CXXSTD themselves?

That would solve all failures due to the new gnu++14 default of clang >= 6.0.0 and gcc > 6.0...
Comment 7 Jan Beich freebsd_committer 2018-01-03 14:43:32 UTC
- Some ports don't respect CXXFLAGS, so USE_CXXSTD has no effect
- Old but maintained projects already explitly set -std=
- New projects may expect C++14 thus break with C++98, confusing maintainers
- Changing default C++ version may break ABI, especially for GCC,
  in ports that built fine with either C++98 or C++14
- How do we define *when* to get rid of the workaround?
Comment 8 Jan Beich freebsd_committer 2018-01-03 17:12:19 UTC
- USE_CSTD doesn't default to C89 despite both Clang 3.6+ and GCC 5+ defaulting to C11
Comment 9 Jan Beich freebsd_committer 2018-01-04 02:50:55 UTC
(In reply to Antoine Brodin from comment #4)
> + {"origin"=>"lang/spidermonkey170", "phase"=>"build", "errortype"=>"???"}

Blocked 979 ports. Fixed in ports r458008.

> + {"origin"=>"lang/spidermonkey24", "phase"=>"build", "errortype"=>"clang"}

Blocked 3 ports. Fixed in ports r458012.

> + {"origin"=>"textproc/aspell", "phase"=>"build", "errortype"=>"???"}

Blocked 169 ports. Fixed in ports r458009.

> + {"origin"=>"audio/spiralloops", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"audio/spiralsynthmodular", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"biology/primer3", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"comms/hylafax", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"databases/mariadb55-server", "phase"=>"build", "errortype"=>"clang"}
> + {"origin"=>"databases/mysql56-client", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"databases/mysql57-client", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"databases/percona-pam-for-mysql", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"databases/percona56-server", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"devel/aarch64-gcc", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"devel/aarch64-none-elf-gcc", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"devel/arm-none-eabi-gcc", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"devel/bossa", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"devel/gearmand", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"devel/gearmand-devel", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"devel/mips-gcc", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"devel/mips64-gcc", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"devel/powerpc64-gcc", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"devel/sparc64-gcc", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"emulators/yape", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"games/frobtads", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"graphics/apvlv", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"graphics/partio", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"graphics/sswf", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"irc/netwalker-ircc", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"multimedia/asdcplib", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"net-im/jabber", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"security/ncrack", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"sysutils/samesame", "phase"=>"build", "errortype"=>"???"}

Dimitry, is it a good idea to hide "comparison between pointer and integer" bugs behind USE_CXXSTD=gnu++98 ?
Comment 10 Jan Beich freebsd_committer 2018-01-04 04:07:39 UTC
Notice how "comparison between pointer and integer" issue is similar to "ordered comparison between pointer and integer". Clang prefers to not warn about possible bugs unless it's C++ or C++11.

$ cat a.c
int main()
{
  const char *value[] = { "", "bar" };
  if (value[0] == '\0')
    return 1;
  return 0;
}
$ cc a.c
$ c++ -std=gnu++98 -x c++ a.c
$ gcc7 a.c
a.c: In function 'main':
a.c:4:16: warning: comparison between pointer and zero character constant [-Wpointer-compare]
   if (value[0] == '\0')
                ^~
a.c:4:7: note: did you mean to dereference the pointer?
   if (value[0] == '\0')
       ^
$ g++7 -std=gnu++98 -x c++ a.c
a.c: In function 'int main()':
a.c:4:19: warning: comparison between pointer and zero character constant [-Wpointer-compare]
   if (value[0] == '\0')
                   ^~~~
a.c:4:19: note: did you mean to dereference the pointer?
Comment 11 Dimitry Andric freebsd_committer 2018-01-04 10:01:34 UTC
(In reply to Jan Beich from comment #10)
> Notice how "comparison between pointer and integer" issue is similar to
> "ordered comparison between pointer and integer". Clang prefers to not warn
> about possible bugs unless it's C++ or C++11.
> 
> $ cat a.c
> int main()
> {
>   const char *value[] = { "", "bar" };
>   if (value[0] == '\0')
>     return 1;
>   return 0;
> }
> $ cc a.c
> $ c++ -std=gnu++98 -x c++ a.c
> $ gcc7 a.c
> a.c: In function 'main':
> a.c:4:16: warning: comparison between pointer and zero character constant
> [-Wpointer-compare]
>    if (value[0] == '\0')
>                 ^~
> a.c:4:7: note: did you mean to dereference the pointer?
>    if (value[0] == '\0')
>        ^
> $ g++7 -std=gnu++98 -x c++ a.c
> a.c: In function 'int main()':
> a.c:4:19: warning: comparison between pointer and zero character constant
> [-Wpointer-compare]
>    if (value[0] == '\0')
>                    ^~~~
> a.c:4:19: note: did you mean to dereference the pointer?

Hmm I think that is actually a bit weird.  I would have expected this warning to always fire, but apparently not.  I have not yet been able to find where this exactly changed between clang 5 and 6.

In any case, these warnings point to real programming errors, so ideally they should be properly patched.  As a workaround USE_CXXSTD=gnu++98 is fine with me, though gcc still warns in that case.
Comment 12 Dimitry Andric freebsd_committer 2018-01-05 00:07:13 UTC
(In reply to Dimitry Andric from comment #11)
...
> Hmm I think that is actually a bit weird.  I would have expected this
> warning to always fire, but apparently not.  I have not yet been able to
> find where this exactly changed between clang 5 and 6.

And obviously this changed when the default C++ mode went from gnu++98 to gnu++14.  Apparently, for c++98 and gnu++98, it does *not* warn about pointer == 0, since under this mode, 0 is implicitly promoted to NULL.
Comment 13 Jan Beich freebsd_committer 2018-01-05 08:32:58 UTC
(In reply to Antoine Brodin from comment #4)
> + {"origin"=>"audio/ecasound", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"benchmarks/postal", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"comms/aprsd", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"devel/commoncpp", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"devel/jrtplib", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"devel/kaptain", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"devel/lfcbase", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"devel/libsigc++12", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"devel/rubygem-eventmachine", "phase"=>"stage", "errortype"=>"bad_C++_code"}
> + {"origin"=>"games/crack-attack", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"games/eboard", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"games/xevil", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"multimedia/cx88", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"net-mgmt/kismet", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"net/dbeacon", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"net/libproxy", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"net/paris-traceroute", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"net/stund", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"net/udt", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"net/xmlrpc-c", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"news/newscache", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"security/openvpn-auth-radius", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"sysutils/istatserver", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"www/dfileserver", "phase"=>"stage", "errortype"=>"bad_C++_code"}
> + {"origin"=>"x11/nxcomp", "phase"=>"build", "errortype"=>"bad_C++_code"}

libc++ punishes bind(2) users for "using namespace std" unlike libstdc++. ::bind(), dropping "using ..." or -std=gnu++03 would fix it. Am I correct only the first one doesn't have drawbacks to apply under portmgr blanket?

$ cat a.cc
#include <sys/socket.h>
#include <functional>

using namespace std;

int main()
{
  if (bind(0,0,0) == -1)
    return 1;
  return 0;
}

$ c++ a.cc
a.cc:8:19: error: invalid operands to binary expression ('__bind<int, int, int>' and 'int')
  if (bind(0,0,0) == -1)
      ~~~~~~~~~~~ ^  ~~
/usr/include/c++/v1/utility:556:1: note: candidate template ignored: could not match 'pair' against
      '__bind'
operator==(const pair<_T1,_T2>& __x, const pair<_T1,_T2>& __y)
^
/usr/include/c++/v1/iterator:694:1: note: candidate template ignored: could not match
      'reverse_iterator' against '__bind'
operator==(const reverse_iterator<_Iter1>& __x, const reverse_iterator<_Iter2>& __y)
^
/usr/include/c++/v1/iterator:923:1: note: candidate template ignored: could not match
      'istream_iterator' against '__bind'
operator==(const istream_iterator<_Tp, _CharT, _Traits, _Distance>& __x,
^
/usr/include/c++/v1/iterator:1027:6: note: candidate template ignored: could not match
      'istreambuf_iterator' against '__bind'
bool operator==(const istreambuf_iterator<_CharT,_Traits>& __a,
     ^
/usr/include/c++/v1/iterator:1135:1: note: candidate template ignored: could not match
      'move_iterator' against '__bind'
operator==(const move_iterator<_Iter1>& __x, const move_iterator<_Iter2>& __y)
^
/usr/include/c++/v1/iterator:1504:1: note: candidate template ignored: could not match '__wrap_iter'
      against '__bind'
operator==(const __wrap_iter<_Iter1>& __x, const __wrap_iter<_Iter2>& __y) _NOEXCEPT_DEBUG
^
/usr/include/c++/v1/tuple:1144:1: note: candidate template ignored: could not match 'tuple' against
      '__bind'
operator==(const tuple<_Tp...>& __x, const tuple<_Up...>& __y)
^
/usr/include/c++/v1/memory:1958:6: note: candidate template ignored: could not match 'allocator'
      against '__bind'
bool operator==(const allocator<_Tp>&, const allocator<_Up>&) _NOEXCEPT {return true;}
     ^
/usr/include/c++/v1/memory:2907:1: note: candidate template ignored: could not match 'unique_ptr'
      against '__bind'
operator==(const unique_ptr<_T1, _D1>& __x, const unique_ptr<_T2, _D2>& __y) {return __x.get(...
^
/usr/include/c++/v1/memory:2943:1: note: candidate template ignored: could not match 'unique_ptr'
      against '__bind'
operator==(const unique_ptr<_T1, _D1>& __x, nullptr_t) _NOEXCEPT
^
/usr/include/c++/v1/memory:2951:1: note: candidate template ignored: could not match
      'unique_ptr<type-parameter-0-0, type-parameter-0-1>' against 'int'
operator==(nullptr_t, const unique_ptr<_T1, _D1>& __x) _NOEXCEPT
^
/usr/include/c++/v1/memory:4739:1: note: candidate template ignored: could not match 'shared_ptr'
      against '__bind'
operator==(const shared_ptr<_Tp>& __x, const shared_ptr<_Up>& __y) _NOEXCEPT
^
/usr/include/c++/v1/memory:4788:1: note: candidate template ignored: could not match 'shared_ptr'
      against '__bind'
operator==(const shared_ptr<_Tp>& __x, nullptr_t) _NOEXCEPT
^
/usr/include/c++/v1/memory:4796:1: note: candidate template ignored: could not match
      'shared_ptr<type-parameter-0-0>' against 'int'
operator==(nullptr_t, const shared_ptr<_Tp>& __x) _NOEXCEPT
^
/usr/include/c++/v1/functional:1955:1: note: candidate template ignored: could not match 'function'
      against '__bind'
operator==(const function<_Rp(_ArgTypes...)>& __f, nullptr_t) _NOEXCEPT {return !__f;}
^
/usr/include/c++/v1/functional:1960:1: note: candidate template ignored: could not match
      'function<type-parameter-0-0 (type-parameter-0-1...)>' against 'int'
operator==(nullptr_t, const function<_Rp(_ArgTypes...)>& __f) _NOEXCEPT {return !__f;}
^
1 error generated.
Comment 14 Dimitry Andric freebsd_committer 2018-01-05 09:17:54 UTC
(In reply to Jan Beich from comment #13)
> (In reply to Antoine Brodin from comment #4)
> > + {"origin"=>"audio/ecasound", "phase"=>"build", "errortype"=>"???"}
> > + {"origin"=>"benchmarks/postal", "phase"=>"build", "errortype"=>"bad_C++_code"}
> > + {"origin"=>"comms/aprsd", "phase"=>"build", "errortype"=>"bad_C++_code"}
> > + {"origin"=>"devel/commoncpp", "phase"=>"build", "errortype"=>"bad_C++_code"}
> > + {"origin"=>"devel/jrtplib", "phase"=>"build", "errortype"=>"bad_C++_code"}
> > + {"origin"=>"devel/kaptain", "phase"=>"build", "errortype"=>"bad_C++_code"}
> > + {"origin"=>"devel/lfcbase", "phase"=>"build", "errortype"=>"bad_C++_code"}
> > + {"origin"=>"devel/libsigc++12", "phase"=>"build", "errortype"=>"???"}
> > + {"origin"=>"devel/rubygem-eventmachine", "phase"=>"stage", "errortype"=>"bad_C++_code"}
> > + {"origin"=>"games/crack-attack", "phase"=>"build", "errortype"=>"bad_C++_code"}
> > + {"origin"=>"games/eboard", "phase"=>"build", "errortype"=>"bad_C++_code"}
> > + {"origin"=>"games/xevil", "phase"=>"build", "errortype"=>"bad_C++_code"}
> > + {"origin"=>"multimedia/cx88", "phase"=>"build", "errortype"=>"bad_C++_code"}
> > + {"origin"=>"net-mgmt/kismet", "phase"=>"build", "errortype"=>"bad_C++_code"}
> > + {"origin"=>"net/dbeacon", "phase"=>"build", "errortype"=>"bad_C++_code"}
> > + {"origin"=>"net/libproxy", "phase"=>"build", "errortype"=>"???"}
> > + {"origin"=>"net/paris-traceroute", "phase"=>"build", "errortype"=>"bad_C++_code"}
> > + {"origin"=>"net/stund", "phase"=>"build", "errortype"=>"bad_C++_code"}
> > + {"origin"=>"net/udt", "phase"=>"build", "errortype"=>"bad_C++_code"}
> > + {"origin"=>"net/xmlrpc-c", "phase"=>"build", "errortype"=>"???"}
> > + {"origin"=>"news/newscache", "phase"=>"build", "errortype"=>"bad_C++_code"}
> > + {"origin"=>"security/openvpn-auth-radius", "phase"=>"build", "errortype"=>"bad_C++_code"}
> > + {"origin"=>"sysutils/istatserver", "phase"=>"build", "errortype"=>"bad_C++_code"}
> > + {"origin"=>"www/dfileserver", "phase"=>"stage", "errortype"=>"bad_C++_code"}
> > + {"origin"=>"x11/nxcomp", "phase"=>"build", "errortype"=>"bad_C++_code"}
> 
> libc++ punishes bind(2) users for "using namespace std" unlike libstdc++.

I see that libstdc++ actually has a specific SFINAE hack to support this, see:

https://gcc.gnu.org/viewcvs/gcc?view=revision&revision=173279

Maybe it would be a nice QoI feature for libc++. I'll ask upstream.


> ::bind(), dropping "using ..." or -std=gnu++03 would fix it. Am I correct
> only the first one doesn't have drawbacks to apply under portmgr blanket?

The first solution is indeed the safest. Could even be done with REINPLACE_CMD... :)
Comment 15 Dimitry Andric freebsd_committer 2018-01-05 09:31:43 UTC
Created bug 224927 for lang/gcc{48,49,5}.
Comment 16 Jan Beich freebsd_committer 2018-01-05 13:06:47 UTC
130 ports left with -Wc++11-narrowing. For the effort required to fix it properly the return value isn't great.

(In reply to Antoine Brodin from comment #4)
> + {"origin"=>"databases/mysql56-client", "phase"=>"build", "errortype"=>"???"}

Blocked 278 ports. Fixed in ports r458124.

> + {"origin"=>"graphics/libraw", "phase"=>"build", "errortype"=>"???"}

Blocked 383 ports. Fixed in ports r458127.

> + {"origin"=>"multimedia/smpeg", "phase"=>"build", "errortype"=>"???"}

Blocked 300 ports. Fixed in ports r458130.

> + {"origin"=>"multimedia/smpeg2", "phase"=>"build", "errortype"=>"???"}

Blocked 34 ports.  Fixed in ports r458131.

> + {"origin"=>"math/coinmp", "phase"=>"build", "errortype"=>"???"}

Blocked 116 ports. Fixed in ports r458136.
Comment 17 Jan Beich freebsd_committer 2018-01-06 01:32:23 UTC
(In reply to Antoine Brodin from comment #4)
> + {"origin"=>"audio/audiere", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"devel/sfml", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"games/allacrost", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"games/apricots", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"games/billardgl", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"games/blackshadeselite", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"games/chapping", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"games/construo", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"games/crack-attack", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"games/crrcsim", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"games/ivan", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"games/kobodeluxe", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"games/linwarrior", "phase"=>"build", "errortype"=>"clang"}
> + {"origin"=>"games/minetest", "phase"=>"build", "errortype"=>"clang"}
> + {"origin"=>"games/numptyphysics", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"games/pouetchess", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"games/powder", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"games/stormbaancoureur", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"games/stratagus", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"games/toycars", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"games/valyriatear", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"graphics/glosm", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"graphics/mandelbulber", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"graphics/nvidia-texture-tools", "phase"=>"build", "errortype"=>"clang"}
> + {"origin"=>"math/drgeo", "phase"=>"build", "errortype"=>"bad_C++_code"}

Dmitry, can you help fixing 25 ports you maintain?

To reproduce:
$ poudriere jail -cj clang6-amd64 -a amd64 -v projects/clang600-import -m svn+https
$ poudriere bulk -Ctj clang6-amd64 audio/audiere ...
Comment 18 Jan Beich freebsd_committer 2018-01-06 06:51:58 UTC
(In reply to Antoine Brodin from comment #4)
> + {"origin"=>"graphics/freeimage", "phase"=>"build", "errortype"=>"bad_C++_code"}

Blocked 16 ports. Fixed in ports r458187.

> + {"origin"=>"textproc/scim", "phase"=>"build", "errortype"=>"???"}

Blocked 23 ports. Fixed in ports r458189.

> + {"origin"=>"textproc/exempi", "phase"=>"build", "errortype"=>"clang"}

Blocked 45 ports. Fixed in ports r458191. Didn't affect GCC 6+.

> + {"origin"=>"multimedia/vdr", "phase"=>"build", "errortype"=>"???"}

Blocked 23 ports. Fixed in ports r458210.

> + {"origin"=>"math/py-matplotlib", "phase"=>"build", "errortype"=>"clang"}

Blocked 21 ports. Fixed in ports r458212.

> + {"origin"=>"net/libutp", "phase"=>"build", "errortype"=>"???"}

Blocked 7 ports. Fixed in ports r458221.

> + {"origin"=>"lang/guile2", "phase"=>"build", "errortype"=>"coredump"}

Blocked 21 ports. Builds fine here as is. False positive?

> + {"origin"=>"games/aquaria", "phase"=>"build", "errortype"=>"???"}

My port. Fixed in ports r458223.
Comment 19 Jan Beich freebsd_committer 2018-01-06 14:24:07 UTC
(In reply to Antoine Brodin from comment #4)
> + {"origin"=>"audio/ecasound", "phase"=>"build", "errortype"=>"???"}

Blocked 2 ports. Fixed in ports r458275.

> + {"origin"=>"audio/festival", "phase"=>"build", "errortype"=>"???"}

Blocked 15 ports. Fixed in ports r458271.

> + {"origin"=>"devel/libsigc++12", "phase"=>"build", "errortype"=>"???"}

Blocked 4 ports. Fixed in ports r458273.

> + {"origin"=>"net/libproxy", "phase"=>"build", "errortype"=>"???"}

Blocked 424 ports. Fixed in ports r458272.

> + {"origin"=>"net/xmlrpc-c", "phase"=>"build", "errortype"=>"???"}

Blocked 4 ports. Fixed in ports r458274.

> + {"origin"=>"net/opal", "phase"=>"build", "errortype"=>"???"}
> + {"origin"=>"news/pan", "phase"=>"build", "errortype"=>"???"}

Let's help understaffed gnome@. Fixed in ports r458277 and ports r458276.
Comment 20 Tobias C. Berner freebsd_committer 2018-01-07 08:32:38 UTC
(In reply to Jan Beich from comment #19)


qt5-gui fails with:

In file included from qxcbconnection.cpp:75:
/usr/local/include/X11/Xlibint.h:675:7: error: ISO C++17 does not allow 'register' storage class specifier [-Wregister]
             register _Xconst long *data,
             ^~~~~~~~~
/usr/local/include/X11/Xlibint.h:680:7: error: ISO C++17 does not allow 'register' storage class specifier [-Wregister]
             register long *data,
             ^~~~~~~~~
[...]



So maybe x11/libX11 should  be fixed ot no longer use register?
Comment 21 Jan Beich freebsd_committer 2018-01-07 09:37:03 UTC
(In reply to Tobias C. Berner from comment #20)
- warnings/errors in headers of dependencies are often cannot be easily fixed thus have to be hidden by either -isystem or #pragma GCC system_header;
  lang/gcc* aren't affected due to implicit -isystem/usr/local/include but clang from either base or devel/llvm* needs USES=localbase;
  -isystem/usr/local/include isn't enabled by default due to FreeBSD historically treating ports/packages as second class citizens, see https://wiki.freebsd.org/WarnerLosh/UsrLocal

  $ cat a.cc
  #include <X11/Xlibint.h>
  int main() { return 0; }
  $ c++ a.cc -isystem/usr/local/include
  $ c++ a.cc -I/usr/local/include
  In file included from a.cc:1:
  /usr/local/include/X11/Xlibint.h:675:7: warning: 'register' storage class specifier is deprecated and
	incompatible with C++17 [-Wdeprecated-register]
	       register _Xconst long *data,
	       ^~~~~~~~~
  [...]

- Clang 6+ defaults to C++14, so -Wdeprecated-register isn't an error yet but
  Qt5 passes -std=c++1z
- GCC 7 + -std=gnu++17 doesn't treat -Wregister as an error by default
- libX11 is a C library, and register storage hasn't been deprecated by a C standard
Comment 22 Dimitry Andric freebsd_committer 2018-01-07 13:22:01 UTC
(In reply to Jan Beich from comment #21)
> (In reply to Tobias C. Berner from comment #20)
> - warnings/errors in headers of dependencies are often cannot be easily
> fixed thus have to be hidden by either -isystem or #pragma GCC system_header;
>   lang/gcc* aren't affected due to implicit -isystem/usr/local/include but
> clang from either base or devel/llvm* needs USES=localbase;
>   -isystem/usr/local/include isn't enabled by default due to FreeBSD
> historically treating ports/packages as second class citizens, see
> https://wiki.freebsd.org/WarnerLosh/UsrLocal

It's not so much second class citizens, but to prevent accidental inclusions of headers which have the same name as base headers.  If /usr/local/include would ever be put into the default include path, it should be put *after* the system include directories, not before.

But the bikeshedding about this subject has been going on forever, it is very hard to please everybody now, so keeping the status quo is the safest solution. :)


>   $ cat a.cc
>   #include <X11/Xlibint.h>
>   int main() { return 0; }
>   $ c++ a.cc -isystem/usr/local/include
>   $ c++ a.cc -I/usr/local/include
>   In file included from a.cc:1:
>   /usr/local/include/X11/Xlibint.h:675:7: warning: 'register' storage class
> specifier is deprecated and
> 	incompatible with C++17 [-Wdeprecated-register]
> 	       register _Xconst long *data,
> 	       ^~~~~~~~~
>   [...]
> 
> - Clang 6+ defaults to C++14, so -Wdeprecated-register isn't an error yet but
>   Qt5 passes -std=c++1z

Yeah, I have not found out why Qt seems to insist on very high -std=c++ versions.  It probably attempts to auto-detect the highest level supported by the compiler, and always enables that.


> - GCC 7 + -std=gnu++17 doesn't treat -Wregister as an error by default

It should, because register is finally going away with C++17.  The easiest workaround is adding a -Dregister flag, obviously.


> - libX11 is a C library, and register storage hasn't been deprecated by a C
> standard

Indeed, but register is totally useless post-1990, so it should be deleted wherever you see it. :)
Comment 23 Jan Beich freebsd_committer 2018-01-08 13:24:16 UTC
When do you plan to merge the branch? Maybe rc1 (circa January 17) is a good time. Not to rush but C++11 bustage is going to haunt us for months, anyway.

Pros:
- Notifying each maintainer manually is time-consuming but pkg-fallout@ doesn't report issues for exp-runs
- early QA (e.g., compiler crash reports) is important for /stable/11 and devel/llvm60 stability as upstream rarely has more than 1 patch-level release correcting regressions after a new major release
- more frequent testing with clang 6 to figure out ports that block many consumers sooner

Cons:
- head-amd64 and head-i386 builders are IPv6-only, so downloading all error logs or getting the number of skipped ports maybe inconvenient
- clang 6 bustage will be mixed with other -CURRENT bustage
- may spoil other base exp-runs (like bug 214864) until more ports are fixed
- ports adding workarounds for clang/libc++ bugs and having to track that
Comment 24 Ed Maste freebsd_committer 2018-01-08 14:37:14 UTC
(In reply to Jan Beich from comment #23)
> When do you plan to merge the branch? Maybe rc1 (circa January 17) is a good
> time. Not to rush but C++11 bustage is going to haunt us for months, anyway.

I think it's reasonable to do this soon. There is work in progress to introduce separate user/kernel page tables for Intel "meltdown" mitigation and I don't want to do anything that might conflict or hold that up, but I do not believe there are any kernel-related issues in the branch.

On the other hand, for other mitigations there are fixes in lld for functionality we're going to use, as well as the retpoline work ongoing for Clang/LLVM. Having 6.0 in HEAD might help in both testing and deploying this work.

> Cons:
> - may spoil other base exp-runs (like bug 214864) until more ports are fixed

I'd be happy to move the lld-is-ld exp-run to using lld 6.0; lld in FreeBSD-HEAD is very close to usable and I think krion@ has addressed about as much in the ports tree as we're able to. That is, I think 214864 has just about served its purpose already, and getting coverage on lld 6 gives us useful new information.
Comment 25 Antoine Brodin freebsd_committer 2018-01-08 19:02:26 UTC
Exp-run results on i386:

http://package18.nyi.freebsd.org/build.html?mastername=headi386PR224669-default&build=2018-01-07_22h53m03s

New failures on i386:

+ {"origin"=>"archivers/pbzip2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"archivers/ppmd", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"archivers/unalz", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"archivers/xmill", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"astro/celestia", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"astro/celestia-gtk", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"astro/qlandkartegt", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"astro/starplot", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"astro/stellarium-qt4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"astro/wmsolar", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"astro/xplanet", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"audio/HVSC-Update", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"audio/aacgain", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/audiere", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/calf", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/caps-lv2", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"audio/clementine-player", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"audio/epos-devel", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/espeak", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/hydrogen", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/hydrogen-devel", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/libcoverart", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"audio/libmusicbrainz3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/libsidplay", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"audio/lmms", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/mac", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"audio/milkytracker", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/mp3plot", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"audio/muse", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/osalp", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/sidplay2", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"audio/sidplayer", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/spiralloops", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"audio/spiralsynthmodular", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"audio/splay", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"audio/terminatorx", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/x42-plugins-lv2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"audio/xanalyser", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/zinf", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"benchmarks/glmark2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"benchmarks/postal", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"benchmarks/stress-ng", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"biology/avida", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"biology/lamarc", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"biology/libgtextutils", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"biology/primer3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"biology/protomol", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"biology/seaview", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"cad/calculix", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"cad/leocad", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"cad/linuxcnc-devel", "phase"=>"build-depends", "errortype"=>"???"}
+ {"origin"=>"cad/qfsm", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"cad/qmls", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"cad/stepcode", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"chinese/pcmanx", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"chinese/qterm", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"comms/aprsd", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"comms/fllog", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"comms/flrig", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"comms/flwrap", "phase"=>"build", "errortype"=>"automake"}
+ {"origin"=>"comms/gsmlib", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"comms/hylafax", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"comms/splat", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"comms/telldus-core", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"comms/uhd", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"comms/xmorse", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"converters/wkhtmltopdf", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/dbtool", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/firebird25-client", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/hamsterdb", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"databases/kyotocabinet", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"databases/libdrizzle-redux", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/libodbc++", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/mariadb55-server", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"databases/metakit", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"databases/mysql-connector-c", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/mysql55-client", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/mysql57-client", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/mysqlwsrep56-server", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/percona-pam-for-mysql", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/percona55-server", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"databases/percona56-server", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/percona57-pam-for-mysql", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/percona57-server", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/rocksdb", "phase"=>"build", "errortype"=>"perl"}
+ {"origin"=>"databases/rocksdb-lite", "phase"=>"build", "errortype"=>"perl"}
+ {"origin"=>"databases/tora", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/xapian-core10", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/xtrabackup", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"deskutils/fbreader", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"deskutils/gsimplecal", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"deskutils/ical", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/aarch64-gcc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/aarch64-none-elf-gcc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/arm-none-eabi-gcc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/arm-none-eabi-gcc492", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/avarice", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/avr-gcc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/aws-sdk-cpp", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/bossa", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/ccdoc", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"devel/clanlib1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/cld2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/commoncpp", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/cpprestsdk", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/darts", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/dbus-c++", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/dmucs", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/edb", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/flatzebra", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/gcc-msp430-ti-toolchain", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"devel/gearmand", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/gearmand-devel", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/glademm", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/godot", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/godot-tools", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/gpsim", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/hapy", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/jrtplib", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/kaptain", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/kyra", "phase"=>"build", "errortype"=>"makefile"}
+ {"origin"=>"devel/lfcbase", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/libchipcard", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/libopkele", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/librolegen", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/log4cxx", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/mico", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/mingw32-gcc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/mips-gcc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/mips64-gcc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/mq4cpp", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/ncc", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"devel/omniORB-4.1", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"devel/papilio-loader", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/poco-ssl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/powerpc64-gcc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/py-bullet3", "flavor"=>"py36", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/py-bullet3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/pypersrc", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/qdevelop", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/qmake", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/qross", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/radare2", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"devel/rubygem-eventmachine", "phase"=>"stage", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/rudeconfig", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/sdl2pp", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"devel/sfml", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/shiboken", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/sparc64-gcc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/staf", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/tinyq", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/uatraits", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/valgrind", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/valgrind-devel", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/vxlog", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"dns/bundy", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"editors/abiword", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"editors/fxite", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"editors/hte", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"editors/le", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"editors/manedit", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"editors/pdfedit", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"editors/pico-alpine", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"editors/plume-creator-devel", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"editors/zoinks", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/aqemu", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"emulators/desmume", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/dgen-sdl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/dosbox", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/fceux", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/frodo", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"emulators/fs-uae", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"emulators/mupen64plus-video-glide64", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/quasi88", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/snes9x", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"emulators/vba", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"emulators/virtualbox-ose", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/virtualbox-ose-additions", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/virtualbox-ose-additions-nox11", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/virtualbox-ose-nox11", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/visualboyadvance-m", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"emulators/vmips", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/xbraitenberg", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/yape", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"finance/aqbanking", "phase"=>"build", "errortype"=>"makefile"}
+ {"origin"=>"finance/openhbci", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"french/med", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/CaribbeanStud", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/abuse_sdl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/alephone", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/allacrost", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/amoebax", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"games/apricots", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/avanor", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/bastet", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/battletanks", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/billardgl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/blackshadeselite", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/blinkensisters", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/bloboats", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/bloodfrontier", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/bombherman", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/bomns", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/boswars", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/brainparty", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/brikx", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/briquolo", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/ceferino", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/chanta", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/chapping", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/chessx", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/columns", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/construo", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/crack-attack", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/crimson", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/crrcsim", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/cube", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/d2x-xl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/dangerdeep", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/dhewm3", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"games/diameter", "phase"=>"build", "errortype"=>"autoheader"}
+ {"origin"=>"games/drcreep", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/dungeoncrawl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/eboard", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/edge", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/einstein", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/f1spirit-remake", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/fishsupper", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/flukz", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/flyhard", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/flying", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/freera", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/frobtads", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/frogatto", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/galaxyhack", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/gillo", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/glob2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/hex-a-hop", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/holotz-castle", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/iortcw", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/ivan", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/jaggedalliance2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/kartofel", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/kcheckers", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/kobodeluxe", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/kuklomenos", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/legesmotus", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/libdungeonmaker", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/linwarrior", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/maelstrom", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/marsnomercy", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/meandmyshadow", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/minetest", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/netherearth", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/netpanzer", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/netradiant", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/nimuh", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/numptyphysics", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/odamex", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/openlierox", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/paintown", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/palomino", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/pouetchess", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/powder", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/pykawari", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/qgo", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/qtads", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/quadra", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/rtb", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/sdl-ball", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/seahaven", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/searchandrescue", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/simutrans", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/smashbattle", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/spacejunk", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/species", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/spellathon", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/stepmania-devel", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/stormbaancoureur", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/stransball2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/stratagus", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/supertux", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/tinymux", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/torcs", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/toycars", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/ultimatestunts", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/valyriatear", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/vamos", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/vavoom", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/vegastrike", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/violetland", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/voxelands", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/voxelands-server", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/warmux", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/warsow", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/wop", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/xconq", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/xevil", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/xmahjongg", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/xmemory", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/xminehunter", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/xpacman", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/xsc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/xye", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/yadex", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/Coin", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/ampasACES-container", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/apvlv", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/cal3d", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/dspdfviewer", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"graphics/enblend", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/evolvotron", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/exact-image", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/fig2sxd", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/fracplanet", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/frei0r-plugins-opencv", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/gle-graphics", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/glosm", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/graphopt", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/inventor", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/klatexformula", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/lensfun", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/libfpx", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"graphics/libgltf", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/libprojectm", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/luxrender", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/luxrender14", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/mandelbulber", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/megapov", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"graphics/nvidia-texture-tools", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/opencollada", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/opendx", "phase"=>"build", "errortype"=>"makefile"}
+ {"origin"=>"graphics/oyranos", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/partio", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/povray36", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/povray37", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/qslim", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/quesa", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/reallyslick", "phase"=>"build", "errortype"=>"autoheader"}
+ {"origin"=>"graphics/scantailor", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/silgraphite", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/sswf", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/structuresynth", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/xpx", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"graphics/yafray", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"hebrew/he2", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"irc/kvirc-qt4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/minbif", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"irc/netwalker-ircc", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"irc/xchat-mircryption", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"japanese/groff", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"japanese/jmode", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"japanese/jmode-skk", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"japanese/scim-anthy", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"japanese/zinnia", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"java/jikes", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"java/jlint", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/openjdk6", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"java/openjdk6-jre", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"java/openjdk7", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/openjdk7-jre", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/openjdk8", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/openjdk8-jre", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/bf2c", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/chez-scheme", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"lang/cjs", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"lang/gcc48", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/gcc49", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/gcc5", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/maude", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"lang/nqc", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"lang/phantomjs", "phase"=>"build", "errortype"=>"assumes_gcc"}
+ {"origin"=>"lang/polyml", "phase"=>"build", "errortype"=>"termios"}
+ {"origin"=>"lang/ptoc", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"lang/spidermonkey185", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"lang/v8", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"mail/alpine", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"mail/archiveopteryx", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"mail/bincimap", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/libdkim", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"mail/mailsync", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"mail/mbox2mdir", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/blitz++", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"math/clblas", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"math/clp", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/drgeo", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"math/freemat", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"math/goblin", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"math/gri", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/ipopt", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/minisat", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/ogdf", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/py-graphillion", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"math/qwtplot3d-qt4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/rapid", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/sundials", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/vtk5", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"math/vtk6", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/z3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/free42", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/linm", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"misc/qbrew", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/saaghar", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/xdelta3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/asdcplib", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/cx88", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/dirac", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/libvdpau-va-gl", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/mp4v2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/mythtv", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/mythtv-frontend", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/qt4-mobility", "phase"=>"build", "errortype"=>"makefile"}
+ {"origin"=>"multimedia/sabbu", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/vdr-plugin-eepg", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/vdr-plugin-epgsearch", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/vdr-plugin-extrecmenu", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/vdr-plugin-osdpip", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/vdr-plugin-sleeptimer", "phase"=>"build", "errortype"=>"assumes_gcc"}
+ {"origin"=>"multimedia/vdr-plugin-ttxtsubs", "phase"=>"build", "errortype"=>"assumes_gcc"}
+ {"origin"=>"multimedia/vdr-plugin-upnp", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"multimedia/vdr-plugin-vdrmanager", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/vdr-plugin-vnsiserver", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/vdr-plugin-xineliboutput", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/vdr-plugin-xvdr", "phase"=>"build", "errortype"=>"assumes_gcc"}
+ {"origin"=>"multimedia/zoneminder", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-im/centerim", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-im/centerim-devel", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-im/ekiga", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-im/imspector", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-im/jabber", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-im/licq", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-im/ramblercontacts", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-im/vacuum-im", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-mgmt/arts++", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"net-mgmt/centreon-clib", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-mgmt/dhcdrop", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"net-mgmt/ipv6calc", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"net-mgmt/kismet", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-mgmt/netdata", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"net-mgmt/vidalia", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-p2p/jigdo", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"net-p2p/mldonkey-core", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/namecoin", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-p2p/namecoin-daemon", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-p2p/twister", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-p2p/verlihub", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/crtmpserver", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/dbeacon", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/delegate", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net/grive", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/grive2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/hupnp", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net/latd", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/librdkafka", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"net/libtrace", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/mgen", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net/minisapserver", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/nethogs", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/ntopng", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/paris-traceroute", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/skstream", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/stund", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/tcpreen", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/udt", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/xprobe", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/yate", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"news/golded+", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"news/newscache", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"news/nget", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"print/qpdf", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"print/tex-luatex", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"print/xmbibtex", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"science/bddsolve", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/crf++", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"science/gchemutils", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/kst2", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"science/libkml", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"science/mpqc", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"science/orthanc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/paraview", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/akmos", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"security/apache-xml-security-c", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"security/doscan", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"security/fwbuilder", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/keepassx", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/md5deep", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/munge", "phase"=>"patch", "errortype"=>"patch"}
+ {"origin"=>"security/ncrack", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/openvpn-auth-radius", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"security/pkcs11-dump", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/py-pycryptopp", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"security/sancp", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"security/steghide", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/yapet", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"shells/fish", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/aimage", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/apachetop", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"sysutils/bbcp", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/boxbackup", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/dvd+rw-tools", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/fusefs-rar2fs", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/geomWatch", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/istatserver", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"sysutils/lineakd", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/mdcp", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"sysutils/npadmin", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"sysutils/openhpi", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/qpxtool", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"sysutils/rfstool", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"sysutils/samesame", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/searchmonkey", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"sysutils/synergy", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"sysutils/unetbootin", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/zidrav", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"textproc/gmetadom", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"textproc/htdig", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"textproc/htmltolatex", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"textproc/jade", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"textproc/mifluz", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"textproc/opensp", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"textproc/py-pyctpp2", "flavor"=>"py36", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"textproc/py-pyctpp2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"textproc/randlm", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"textproc/sablotron", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"textproc/scim-bridge", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"textproc/soothsayer", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"textproc/source-highlight", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"textproc/sphinxsearch", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"textproc/sphinxsearch-devel", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"textproc/uim", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"vietnamese/x-unikey", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"www/bookmarkbridge", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"www/cssed", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"www/dfileserver", "phase"=>"stage", "errortype"=>"bad_C++_code"}
+ {"origin"=>"www/domoticz", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/edbrowse", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/mod_spdy", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/sams2", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"www/srg", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"www/suphp", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/swish++", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/tinytinyhttpd", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"x11-clocks/buici-clock", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-clocks/glclock", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"x11-fm/qtfm", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-toolkits/fltk-devel", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-toolkits/gtkmm20", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"x11-toolkits/nucleo", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"x11-toolkits/v", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"x11-toolkits/wxgtk28-common", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"x11-wm/blackbox", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-wm/ede", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-wm/fluxbox", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-wm/icewm", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-wm/jewel", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-wm/obpager", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-wm/pekwm", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-wm/treewm", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"x11/fbdesk", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"x11/kdelibs4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11/nxcomp", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"x11/virtualgl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11/wbar", "phase"=>"build", "errortype"=>"???"}
Comment 26 Shane 2018-01-10 13:05:40 UTC
I'm finding most breaks are from c++11-narrowing becoming an error, which leads to adding casts.

I see some inconsistencies in what gets an error and have reported a bug https://bugs.llvm.org/show_bug.cgi?id=35886
Comment 27 Jan Beich freebsd_committer 2018-01-14 14:38:43 UTC
/head now has Clang 6 after base r327952. I've only accidentally after pkg-fallout@ reported bug 225006.

Dimitry, can you reference PR next time?
Comment 28 Jan Beich freebsd_committer 2018-01-14 15:09:35 UTC
Antoine, can you reset thunderx1, so it doesn't try to build r458184..r458948 ports tree snapshots? It'd be nice to catch aarch64-specific Clang crashes earlier which requires exposing Clang to more ports which requires more recent ports tree snapshots to get C++11/etc fixes. For one, r458184 snapshot lacks many fixes by me and kde@.
Comment 29 commit-hook freebsd_committer 2018-01-14 16:15:28 UTC
A commit references this bug:

Author: dim
Date: Sun Jan 14 16:15:07 UTC 2018
New revision: 51385
URL: https://svnweb.freebsd.org/changeset/doc/51385

Log:
  Document __FreeBSD_version values 1200055 (adding cpucontrol -e support)
  and 1200056 (upgrading clang, llvm, lld, lldb, compiler-rt and libc++ to
  6.0.0).

  PR:		224669

Changes:
  head/en_US.ISO8859-1/books/porters-handbook/versions/chapter.xml
Comment 30 Antoine Brodin freebsd_committer 2018-01-14 20:50:55 UTC
On armv6, devel/libffi fails to build with clang6:

http://beefy8.nyi.freebsd.org/data/head-armv6-default/p458948_s327953/logs/errors/libffi-3.2.1_2.log
Comment 31 Dimitry Andric freebsd_committer 2018-01-14 22:44:39 UTC
(In reply to Jan Beich from comment #27)
> /head now has Clang 6 after base r327952. I've only accidentally after
> pkg-fallout@ reported bug 225006.
> 
> Dimitry, can you reference PR next time?

Sorry Jan, I had completely forgotten about that.  I've used a doc commit to get at least something now. :)
Comment 32 Dimitry Andric freebsd_committer 2018-01-14 23:08:48 UTC
Created attachment 189723 [details]
Convert pre-UAL mnemonics in libffi's sysv.S

(In reply to Antoine Brodin from comment #30)
> On armv6, devel/libffi fails to build with clang6:
> 
> http://beefy8.nyi.freebsd.org/data/head-armv6-default/p458948_s327953/logs/
> errors/libffi-3.2.1_2.log

Can you please try this patch?  Apparently some pre-UAL (old-style) mnemonics, which have been deprecated for a long time, have now been dropped by clang 6.

I have blindly converted them according to a table I found, but I have no way of testing whether it compiles, let alone whether the resulting binary works correctly. :)
Comment 33 commit-hook freebsd_committer 2018-01-15 07:41:07 UTC
A commit references this bug:

Author: antoine
Date: Mon Jan 15 07:40:42 UTC 2018
New revision: 459021
URL: https://svnweb.freebsd.org/changeset/ports/459021

Log:
  Replace deprecated mnemonics which were dropped in clang 6

  PR:		224669
  Submitted by:	dim
  Reported by:	pkg-fallout
  With hat:	portmgr

Changes:
  head/devel/libffi/files/patch-src_arm_sysv.S
Comment 34 commit-hook freebsd_committer 2018-01-17 09:21:45 UTC
A commit references this bug:

Author: tcberner
Date: Wed Jan 17 09:21:28 UTC 2018
New revision: 459230
URL: https://svnweb.freebsd.org/changeset/ports/459230

Log:
  audio/espeak fix build with clang6

  PR:		224669

Changes:
  head/audio/espeak/Makefile
Comment 35 commit-hook freebsd_committer 2018-01-17 09:31:56 UTC
A commit references this bug:

Author: tcberner
Date: Wed Jan 17 09:31:15 UTC 2018
New revision: 459231
URL: https://svnweb.freebsd.org/changeset/ports/459231

Log:
  audio/libmusicbrainz3 fix build with clang6

  PR:		224669

Changes:
  head/audio/libmusicbrainz3/Makefile
  head/audio/libmusicbrainz3/files/
  head/audio/libmusicbrainz3/files/patch-src_webservice.cpp
  head/audio/libmusicbrainz3/files/patch-src_xmlParser_xmlParser.cpp
Comment 36 commit-hook freebsd_committer 2018-01-17 10:00:21 UTC
A commit references this bug:

Author: tcberner
Date: Wed Jan 17 09:59:37 UTC 2018
New revision: 459232
URL: https://svnweb.freebsd.org/changeset/ports/459232

Log:
  graphics/frei0r-plugins-opencv, fix build against clang6

  PR:		224669

Changes:
  head/graphics/frei0r/Makefile
  head/graphics/frei0r/files/extra-patch-src_filter_facedetect_CMakeLists.txt
Comment 37 commit-hook freebsd_committer 2018-01-17 10:38:56 UTC
A commit references this bug:

Author: tcberner
Date: Wed Jan 17 10:38:06 UTC 2018
New revision: 459234
URL: https://svnweb.freebsd.org/changeset/ports/459234

Log:
  texproc/uim fix build with clang6

  PR:		224669

Changes:
  head/textproc/uim/Makefile
  head/textproc/uim/files/patch-xim_main.cpp
Comment 38 commit-hook freebsd_committer 2018-01-17 10:45:05 UTC
A commit references this bug:

Author: tcberner
Date: Wed Jan 17 10:44:28 UTC 2018
New revision: 459235
URL: https://svnweb.freebsd.org/changeset/ports/459235

Log:
  net/hupnp fix build with clang6

  PR:		224669

Changes:
  head/net/hupnp/Makefile
Comment 39 commit-hook freebsd_committer 2018-01-17 11:06:24 UTC
A commit references this bug:

Author: tcberner
Date: Wed Jan 17 11:05:25 UTC 2018
New revision: 459238
URL: https://svnweb.freebsd.org/changeset/ports/459238

Log:
  sysutils/dvd+rw-tools, fix build with clang6

  PR:		224669

Changes:
  head/sysutils/dvd+rw-tools/Makefile
  head/sysutils/dvd+rw-tools/files/patch-dvd+rw-mediainfo.cpp
Comment 40 commit-hook freebsd_committer 2018-01-17 11:25:43 UTC
A commit references this bug:

Author: tcberner
Date: Wed Jan 17 11:24:48 UTC 2018
New revision: 459239
URL: https://svnweb.freebsd.org/changeset/ports/459239

Log:
  audio/audex, fix build with clang6

  Force -std=gnu++98, there are too many lines that require
  a change for string-literal fixes.

  PR:		224669

Changes:
  head/audio/audex/Makefile
Comment 41 commit-hook freebsd_committer 2018-01-17 11:40:58 UTC
A commit references this bug:

Author: tcberner
Date: Wed Jan 17 11:40:31 UTC 2018
New revision: 459241
URL: https://svnweb.freebsd.org/changeset/ports/459241

Log:
  multimedia/k9copy-kde4, fix build with clan6

  * add patch to use NoSearchOptions instead of false
  * add USES=localbase

  PR:		224669

Changes:
  head/multimedia/k9copy-kde4/Makefile
  head/multimedia/k9copy-kde4/files/patch-src_core_k9tools.cpp
Comment 42 commit-hook freebsd_committer 2018-01-17 11:49:08 UTC
A commit references this bug:

Author: tcberner
Date: Wed Jan 17 11:48:22 UTC 2018
New revision: 459242
URL: https://svnweb.freebsd.org/changeset/ports/459242

Log:
  audio/creox, fix build with clang6 by forcing -std=gnu++98

  PR:		224669

Changes:
  head/audio/creox/Makefile
Comment 43 commit-hook freebsd_committer 2018-01-17 12:12:29 UTC
A commit references this bug:

Author: tcberner
Date: Wed Jan 17 12:11:56 UTC 2018
New revision: 459243
URL: https://svnweb.freebsd.org/changeset/ports/459243

Log:
  deskutils/basket, fix build with clang6

  PR:		224669

Changes:
  head/deskutils/basket/Makefile
Comment 44 commit-hook freebsd_committer 2018-01-17 13:52:51 UTC
A commit references this bug:

Author: tcberner
Date: Wed Jan 17 13:51:56 UTC 2018
New revision: 459255
URL: https://svnweb.freebsd.org/changeset/ports/459255

Log:
  sysutils/knutclient-kde4, add debian patch to fix build with clang6

  PR:		224669

Changes:
  head/sysutils/knutclient-kde4/Makefile
  head/sysutils/knutclient-kde4/files/
  head/sysutils/knutclient-kde4/files/patch-debian_git-6337fa
Comment 45 commit-hook freebsd_committer 2018-01-17 17:12:39 UTC
A commit references this bug:

Author: dim
Date: Wed Jan 17 17:11:55 UTC 2018
New revision: 328090
URL: https://svnweb.freebsd.org/changeset/base/328090

Log:
  Pull in r322623 from upstream llvm trunk (by Andrew V. Tischenko):

    Allow usage of X86-prefixes as separate instrs.
    Differential Revision: https://reviews.llvm.org/D42102

  This should fix parse errors when x86 prefixes (such as 'lock' and
  'rep') are followed by various non-mnemonic tokens, e.g. comments, .byte
  directives and labels.

  PR:		224669,225054

Changes:
  head/contrib/llvm/lib/Target/X86/AsmParser/X86AsmParser.cpp
  head/lib/clang/freebsd_cc_version.h
Comment 46 Shane 2018-01-17 22:09:23 UTC
I can't change the depends variables, but bug #224604 includes updates to fix clang 6 build for devel/godot and devel/godot-tools.
Comment 47 Jan Beich freebsd_committer 2018-01-20 19:41:07 UTC
Comment on attachment 189723 [details]
Convert pre-UAL mnemonics in libffi's sysv.S

This patch has landed in comment 33.
Comment 48 commit-hook freebsd_committer 2018-01-20 20:32:53 UTC
A commit references this bug:

Author: antoine
Date: Sat Jan 20 20:32:20 UTC 2018
New revision: 459551
URL: https://svnweb.freebsd.org/changeset/ports/459551

Log:
  Fix build with clang 6

  /wrkdirs/usr/ports/devel/powerpc64-gcc/work/gcc-6.3.0/gcc/ubsan.c:1474:20: error: comparison between pointer and integer ('const char *' and 'int')
        || xloc.file == '\0' || xloc.file[0] == '\xff'
           ~~~~~~~~~ ^  ~~~~

  PR:		224669
  Reported by:	pkg-fallout

Changes:
  head/devel/powerpc64-gcc/files/patch-gcc_ubsan.c
Comment 49 Jan Beich freebsd_committer 2018-01-20 23:14:52 UTC
Created attachment 189938 [details]
[don't land] Restore C++98 by default

Antoine, can you apply the attached patch to /head base and do an exp-run? I'd like to check if there're Clang 6 crashes hiding behind C++11 bustage. It's hard to guess what to fix otherwise.
Comment 50 Antoine Brodin freebsd_committer 2018-01-21 08:48:09 UTC
(In reply to Jan Beich from comment #49)
I started it at http://package18.nyi.freebsd.org/jail.html?mastername=headi386cxx98-default
Comment 51 commit-hook freebsd_committer 2018-01-21 10:08:47 UTC
A commit references this bug:

Author: antoine
Date: Sun Jan 21 10:08:41 UTC 2018
New revision: 459583
URL: https://svnweb.freebsd.org/changeset/ports/459583

Log:
  Fix build with clang 6

  trainer.cpp:106:18: error: no matching function for call to 'make_pair'
      x_.push_back(std::make_pair<std::string, FeatureNode *>(y, fn));
                   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

  PR:		224669
  Reported by:	pkg-fallout

Changes:
  head/japanese/zinnia/files/
  head/japanese/zinnia/files/patch-trainer.cpp
Comment 52 Antoine Brodin freebsd_committer 2018-01-23 07:32:44 UTC
Exp-run results on i386 with gnucxx98 as default:

http://package18.nyi.freebsd.org/build.html?mastername=headi386cxx98-default&build=2018-01-21_07h53m19s

New failures:

+ {"origin"=>"audio/x42-plugins-lv2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"benchmarks/lzbench", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"benchmarks/stress-ng", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"biology/fastx-toolkit", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"databases/rocksdb", "phase"=>"build", "errortype"=>"perl"}
+ {"origin"=>"databases/rocksdb-lite", "phase"=>"build", "errortype"=>"perl"}
+ {"origin"=>"devel/aws-sdk-cpp", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/cpprestsdk", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/gcc-arm-embedded", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/gcc-msp430-ti-toolchain", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"devel/sdl2pp", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"devel/valgrind", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/valgrind-devel", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"graphics/dspdfviewer", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"lang/chez-scheme", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"lang/v8", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"math/R-cran-recipes", "phase"=>"stage", "errortype"=>"coredump"}
+ {"origin"=>"multimedia/libvdpau-va-gl", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-mgmt/ipv6calc", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"net-mgmt/netdata", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"net/librdkafka", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"security/akmos", "phase"=>"build", "errortype"=>"clang"}


New failure logs:

http://package18.nyi.freebsd.org/data/headi386cxx98-default/2018-01-21_07h53m19s/logs/errors/x42-plugins-lv2-20170428.log
http://package18.nyi.freebsd.org/data/headi386cxx98-default/2018-01-21_07h53m19s/logs/errors/lzbench-1.7.3.log
http://package18.nyi.freebsd.org/data/headi386cxx98-default/2018-01-21_07h53m19s/logs/errors/stress-ng-0.09.10.log
http://package18.nyi.freebsd.org/data/headi386cxx98-default/2018-01-21_07h53m19s/logs/errors/fastx_toolkit-0.0.14.log
http://package18.nyi.freebsd.org/data/headi386cxx98-default/2018-01-21_07h53m19s/logs/errors/rocksdb-5.9.2.log
http://package18.nyi.freebsd.org/data/headi386cxx98-default/2018-01-21_07h53m19s/logs/errors/rocksdb-lite-5.9.2.log
http://package18.nyi.freebsd.org/data/headi386cxx98-default/2018-01-21_07h53m19s/logs/errors/aws-sdk-cpp-1.3.15.log
http://package18.nyi.freebsd.org/data/headi386cxx98-default/2018-01-21_07h53m19s/logs/errors/cpprestsdk-2.9.1_4.log
http://package18.nyi.freebsd.org/data/headi386cxx98-default/2018-01-21_07h53m19s/logs/errors/gcc-arm-embedded-7.2.20171218_1.log
http://package18.nyi.freebsd.org/data/headi386cxx98-default/2018-01-21_07h53m19s/logs/errors/gcc-msp430-ti-toolchain-6.4.0.5.01.00.00.20170831.log
http://package18.nyi.freebsd.org/data/headi386cxx98-default/2018-01-21_07h53m19s/logs/errors/sdl2pp-0.15.0_1.log
http://package18.nyi.freebsd.org/data/headi386cxx98-default/2018-01-21_07h53m19s/logs/errors/valgrind-3.10.1.20160113_5,1.log
http://package18.nyi.freebsd.org/data/headi386cxx98-default/2018-01-21_07h53m19s/logs/errors/valgrind-devel-3.10.1.20160113_5,1.log
http://package18.nyi.freebsd.org/data/headi386cxx98-default/2018-01-21_07h53m19s/logs/errors/dspdfviewer-1.15.1_6.log
http://package18.nyi.freebsd.org/data/headi386cxx98-default/2018-01-21_07h53m19s/logs/errors/chez-scheme-9.5.log
http://package18.nyi.freebsd.org/data/headi386cxx98-default/2018-01-21_07h53m19s/logs/errors/v8-3.18.5_4.log
http://package18.nyi.freebsd.org/data/headi386cxx98-default/2018-01-21_07h53m19s/logs/errors/R-cran-recipes-0.1.0.log
http://package18.nyi.freebsd.org/data/headi386cxx98-default/2018-01-21_07h53m19s/logs/errors/libvdpau-va-gl-0.4.2_2.log
http://package18.nyi.freebsd.org/data/headi386cxx98-default/2018-01-21_07h53m19s/logs/errors/ipv6calc-1.0.0.log
http://package18.nyi.freebsd.org/data/headi386cxx98-default/2018-01-21_07h53m19s/logs/errors/netdata-1.9.0_1.log
http://package18.nyi.freebsd.org/data/headi386cxx98-default/2018-01-21_07h53m19s/logs/errors/librdkafka-0.11.3.log
http://package18.nyi.freebsd.org/data/headi386cxx98-default/2018-01-21_07h53m19s/logs/errors/akmos-0.5.1.log
Comment 53 commit-hook freebsd_committer 2018-01-23 20:31:15 UTC
A commit references this bug:

Author: antoine
Date: Tue Jan 23 20:30:39 UTC 2018
New revision: 459795
URL: https://svnweb.freebsd.org/changeset/ports/459795

Log:
  Fix build with clang 6

  /wrkdirs/usr/ports/graphics/opencollada/work/OpenCOLLADA-1.6.47/COLLADAStreamWriter/src/COLLADASWLibraryAnimations.cpp:65:79: error: no matching constructor for initialization of 'std::vector<Animation *>'
              : Library ( streamWriter, CSWC::CSW_ELEMENT_LIBRARY_ANIMATIONS ), mOpenAnimations ( NULL )
                                                                                ^                 ~~~~

  PR:		224669
  Reported by:	pkg-fallout
  Reviewed by:	rakuco@

Changes:
  head/graphics/opencollada/files/patch-COLLADAStreamWriter_src_COLLADASWLibraryAnimations.cpp
Comment 54 commit-hook freebsd_committer 2018-01-24 12:47:22 UTC
A commit references this bug:

Author: antoine
Date: Wed Jan 24 12:47:17 UTC 2018
New revision: 459839
URL: https://svnweb.freebsd.org/changeset/ports/459839

Log:
  Fix build with clang 6

  PR:		224669
  Reported by:	pkg-fallout

Changes:
  head/databases/firebird25-server/Makefile
Comment 55 commit-hook freebsd_committer 2018-01-24 22:35:30 UTC
A commit references this bug:

Author: dim
Date: Wed Jan 24 22:35:03 UTC 2018
New revision: 328381
URL: https://svnweb.freebsd.org/changeset/base/328381

Log:
  Upgrade our copies of clang, llvm, lld, lldb, compiler-rt and libc++ to
  6.0.0 (branches/release_60 r323338).

  MFC after:	3 months
  X-MFC-With:	r327952
  PR:		224669

Changes:
_U  head/contrib/compiler-rt/
  head/contrib/compiler-rt/lib/builtins/clear_cache.c
_U  head/contrib/libc++/
_U  head/contrib/llvm/
  head/contrib/llvm/include/llvm/Analysis/RegionInfoImpl.h
  head/contrib/llvm/include/llvm/CodeGen/SelectionDAGAddressAnalysis.h
  head/contrib/llvm/include/llvm/MC/MCCodeView.h
  head/contrib/llvm/include/llvm/Support/GenericDomTreeConstruction.h
  head/contrib/llvm/lib/CodeGen/GlobalMerge.cpp
  head/contrib/llvm/lib/CodeGen/PeepholeOptimizer.cpp
  head/contrib/llvm/lib/CodeGen/SelectionDAG/DAGCombiner.cpp
  head/contrib/llvm/lib/CodeGen/SelectionDAG/LegalizeDAG.cpp
  head/contrib/llvm/lib/CodeGen/SelectionDAG/SelectionDAG.cpp
  head/contrib/llvm/lib/CodeGen/SelectionDAG/SelectionDAGAddressAnalysis.cpp
  head/contrib/llvm/lib/CodeGen/TargetLoweringBase.cpp
  head/contrib/llvm/lib/Linker/IRMover.cpp
  head/contrib/llvm/lib/MC/MCCodeView.cpp
  head/contrib/llvm/lib/Target/AArch64/AArch64InstructionSelector.cpp
  head/contrib/llvm/lib/Target/Hexagon/HexagonISelDAGToDAGHVX.cpp
  head/contrib/llvm/lib/Target/PowerPC/PPCISelLowering.cpp
  head/contrib/llvm/lib/Target/PowerPC/PPCISelLowering.h
  head/contrib/llvm/lib/Target/PowerPC/PPCInstrInfo.td
  head/contrib/llvm/lib/Target/X86/X86ISelLowering.cpp
  head/contrib/llvm/lib/Transforms/Scalar/GVNHoist.cpp
  head/contrib/llvm/lib/Transforms/Scalar/StructurizeCFG.cpp
  head/contrib/llvm/lib/Transforms/Vectorize/SLPVectorizer.cpp
_U  head/contrib/llvm/tools/clang/
  head/contrib/llvm/tools/clang/include/clang/Basic/Attr.td
  head/contrib/llvm/tools/clang/include/clang/Basic/BuiltinsX86.def
  head/contrib/llvm/tools/clang/include/clang/Basic/DiagnosticGroups.td
  head/contrib/llvm/tools/clang/include/clang/Basic/TokenKinds.def
  head/contrib/llvm/tools/clang/include/clang/StaticAnalyzer/Core/BugReporter/BugType.h
  head/contrib/llvm/tools/clang/lib/AST/DeclBase.cpp
  head/contrib/llvm/tools/clang/lib/AST/ODRHash.cpp
  head/contrib/llvm/tools/clang/lib/CodeGen/CGBuiltin.cpp
  head/contrib/llvm/tools/clang/lib/CodeGen/ObjectFilePCHContainerOperations.cpp
  head/contrib/llvm/tools/clang/lib/Frontend/InitPreprocessor.cpp
  head/contrib/llvm/tools/clang/lib/Lex/Lexer.cpp
  head/contrib/llvm/tools/clang/lib/Lex/PPCaching.cpp
  head/contrib/llvm/tools/clang/lib/Lex/PPLexerChange.cpp
  head/contrib/llvm/tools/clang/lib/Sema/Scope.cpp
  head/contrib/llvm/tools/clang/lib/Sema/SemaTemplateDeduction.cpp
  head/contrib/llvm/tools/clang/lib/Sema/SemaTemplateInstantiateDecl.cpp
  head/contrib/llvm/tools/clang/lib/StaticAnalyzer/Checkers/MallocChecker.cpp
  head/contrib/llvm/tools/clang/lib/StaticAnalyzer/Checkers/ValistChecker.cpp
_U  head/contrib/llvm/tools/lld/
  head/contrib/llvm/tools/lld/COFF/Driver.cpp
  head/contrib/llvm/tools/lld/ELF/SyntheticSections.cpp
_U  head/contrib/llvm/tools/lldb/
  head/contrib/llvm/tools/llvm-readobj/MachODumper.cpp
  head/lib/clang/include/clang/Basic/Version.inc
  head/lib/clang/include/lld/Common/Version.inc
  head/lib/clang/include/llvm/Support/VCSRevision.h
Comment 56 Antoine Brodin freebsd_committer 2018-01-25 09:26:35 UTC
Exp-run results on amd64 with gnucxx98:

http://package18.nyi.freebsd.org/build.html?mastername=headamd64cxx98-default&build=2018-01-23_19h47m46s

New failures  (may be a mix a clang 6 and lld boostrap failures):

+ {"origin"=>"audio/x42-plugins-lv2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"biology/fastx-toolkit", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"deskutils/flameshot", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"devel/aws-sdk-cpp", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/cpprestsdk", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/gcc-arm-embedded", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/gcc-msp430-ti-toolchain", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"devel/leatherman", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/sdl2pp", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"devel/valgrind", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/valgrind-devel", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"emulators/wine", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"emulators/wine-devel", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"graphics/dspdfviewer", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"graphics/embree", "phase"=>"configure", "errortype"=>"linker_error"}
+ {"origin"=>"lang/solidity", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/v8", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"math/R-cran-recipes", "phase"=>"stage", "errortype"=>"coredump"}
+ {"origin"=>"net-mgmt/ipv6calc", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"net/freeswitch", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"news/nntpcache", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"print/pdftk", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"security/akmos", "phase"=>"build", "errortype"=>"clang"}

New failure logs:

http://package18.nyi.freebsd.org/data/headamd64cxx98-default/2018-01-23_19h47m46s/logs/errors/x42-plugins-lv2-20170428.log
http://package18.nyi.freebsd.org/data/headamd64cxx98-default/2018-01-23_19h47m46s/logs/errors/fastx_toolkit-0.0.14.log
http://package18.nyi.freebsd.org/data/headamd64cxx98-default/2018-01-23_19h47m46s/logs/errors/flameshot-0.5.0.log
http://package18.nyi.freebsd.org/data/headamd64cxx98-default/2018-01-23_19h47m46s/logs/errors/aws-sdk-cpp-1.3.15.log
http://package18.nyi.freebsd.org/data/headamd64cxx98-default/2018-01-23_19h47m46s/logs/errors/cpprestsdk-2.9.1_4.log
http://package18.nyi.freebsd.org/data/headamd64cxx98-default/2018-01-23_19h47m46s/logs/errors/gcc-arm-embedded-7.2.20171218_1.log
http://package18.nyi.freebsd.org/data/headamd64cxx98-default/2018-01-23_19h47m46s/logs/errors/gcc-msp430-ti-toolchain-6.4.0.5.01.00.00.20170831.log
http://package18.nyi.freebsd.org/data/headamd64cxx98-default/2018-01-23_19h47m46s/logs/errors/leatherman-1.3.0_4.log
http://package18.nyi.freebsd.org/data/headamd64cxx98-default/2018-01-23_19h47m46s/logs/errors/sdl2pp-0.15.0_1.log
http://package18.nyi.freebsd.org/data/headamd64cxx98-default/2018-01-23_19h47m46s/logs/errors/valgrind-3.10.1.20160113_5,1.log
http://package18.nyi.freebsd.org/data/headamd64cxx98-default/2018-01-23_19h47m46s/logs/errors/valgrind-devel-3.10.1.20160113_5,1.log
http://package18.nyi.freebsd.org/data/headamd64cxx98-default/2018-01-23_19h47m46s/logs/errors/wine-2.0.4,1.log
http://package18.nyi.freebsd.org/data/headamd64cxx98-default/2018-01-23_19h47m46s/logs/errors/wine-devel-3.0.r6,1.log
http://package18.nyi.freebsd.org/data/headamd64cxx98-default/2018-01-23_19h47m46s/logs/errors/dspdfviewer-1.15.1_6.log
http://package18.nyi.freebsd.org/data/headamd64cxx98-default/2018-01-23_19h47m46s/logs/errors/embree-2.17.1.log
http://package18.nyi.freebsd.org/data/headamd64cxx98-default/2018-01-23_19h47m46s/logs/errors/solidity-0.4.19.log
http://package18.nyi.freebsd.org/data/headamd64cxx98-default/2018-01-23_19h47m46s/logs/errors/v8-3.18.5_4.log
http://package18.nyi.freebsd.org/data/headamd64cxx98-default/2018-01-23_19h47m46s/logs/errors/R-cran-recipes-0.1.0.log
http://package18.nyi.freebsd.org/data/headamd64cxx98-default/2018-01-23_19h47m46s/logs/errors/ipv6calc-1.0.0.log
http://package18.nyi.freebsd.org/data/headamd64cxx98-default/2018-01-23_19h47m46s/logs/errors/freeswitch-1.6.19_1.log
http://package18.nyi.freebsd.org/data/headamd64cxx98-default/2018-01-23_19h47m46s/logs/errors/nntpcache-3.0.2_10.log
http://package18.nyi.freebsd.org/data/headamd64cxx98-default/2018-01-23_19h47m46s/logs/errors/pdftk-2.02_6.log
http://package18.nyi.freebsd.org/data/headamd64cxx98-default/2018-01-23_19h47m46s/logs/errors/akmos-0.5.1.log
Comment 57 commit-hook freebsd_committer 2018-02-01 21:41:39 UTC
A commit references this bug:

Author: dim
Date: Thu Feb  1 21:41:18 UTC 2018
New revision: 328753
URL: https://svnweb.freebsd.org/changeset/base/328753

Log:
  Upgrade our copies of clang, llvm, lld, lldb, compiler-rt and libc++ to
  6.0.0 (branches/release_60 r323948).

  MFC after:	3 months
  X-MFC-With:	r327952
  PR:		224669

Changes:
_U  head/contrib/compiler-rt/
  head/contrib/compiler-rt/lib/tsan/rtl/tsan_platform.h
_U  head/contrib/libc++/
_U  head/contrib/llvm/
  head/contrib/llvm/include/llvm/Analysis/ValueTracking.h
  head/contrib/llvm/lib/Analysis/ValueTracking.cpp
  head/contrib/llvm/lib/CodeGen/GlobalISel/IRTranslator.cpp
  head/contrib/llvm/lib/CodeGen/GlobalISel/LegalizerHelper.cpp
  head/contrib/llvm/lib/CodeGen/RegAllocFast.cpp
  head/contrib/llvm/lib/CodeGen/SelectionDAG/SelectionDAGISel.cpp
  head/contrib/llvm/lib/CodeGen/TargetPassConfig.cpp
  head/contrib/llvm/lib/Target/AArch64/AArch64FastISel.cpp
  head/contrib/llvm/lib/Target/AArch64/AArch64InstructionSelector.cpp
  head/contrib/llvm/lib/Target/AArch64/AArch64Subtarget.cpp
  head/contrib/llvm/lib/Target/AMDGPU/SIInsertSkips.cpp
  head/contrib/llvm/lib/Target/X86/InstPrinter/X86IntelInstPrinter.cpp
  head/contrib/llvm/lib/Target/X86/X86ISelLowering.cpp
  head/contrib/llvm/lib/Transforms/Scalar/CallSiteSplitting.cpp
  head/contrib/llvm/lib/Transforms/Scalar/StructurizeCFG.cpp
  head/contrib/llvm/lib/Transforms/Utils/ValueMapper.cpp
_U  head/contrib/llvm/tools/clang/
  head/contrib/llvm/tools/clang/include/clang/Basic/DiagnosticDriverKinds.td
  head/contrib/llvm/tools/clang/include/clang/Basic/DiagnosticGroups.td
  head/contrib/llvm/tools/clang/include/clang/Driver/Options.td
  head/contrib/llvm/tools/clang/lib/Driver/ToolChains/Clang.cpp
  head/contrib/llvm/tools/clang/lib/Driver/ToolChains/Hexagon.cpp
_U  head/contrib/llvm/tools/lld/
  head/contrib/llvm/tools/lld/ELF/AArch64ErrataFix.cpp
  head/contrib/llvm/tools/lld/ELF/Writer.h
_U  head/contrib/llvm/tools/lldb/
  head/lib/clang/include/clang/Basic/Version.inc
  head/lib/clang/include/lld/Common/Version.inc
  head/lib/clang/include/llvm/Support/VCSRevision.h
Comment 58 commit-hook freebsd_committer 2018-02-02 22:29:01 UTC
A commit references this bug:

Author: dim
Date: Fri Feb  2 22:28:16 UTC 2018
New revision: 328817
URL: https://svnweb.freebsd.org/changeset/base/328817

Log:
  Upgrade our copies of clang, llvm, lld, lldb, compiler-rt and libc++ to
  6.0.0 (branches/release_60 r324090).

  This introduces retpoline support, with the -mretpoline flag.  The
  upstream initial commit message (r323155 by Chandler Carruth) contains
  quite a bit of explanation.  Quoting:

    Introduce the "retpoline" x86 mitigation technique for variant #2 of
    the speculative execution vulnerabilities disclosed today,
    specifically identified by CVE-2017-5715, "Branch Target Injection",
    and is one of the two halves to Spectre.

    Summary:
    First, we need to explain the core of the vulnerability. Note that
    this is a very incomplete description, please see the Project Zero
    blog post for details:
    https://googleprojectzero.blogspot.com/2018/01/reading-privileged-memory-with-side.html

    The basis for branch target injection is to direct speculative
    execution of the processor to some "gadget" of executable code by
    poisoning the prediction of indirect branches with the address of
    that gadget. The gadget in turn contains an operation that provides a
    side channel for reading data. Most commonly, this will look like a
    load of secret data followed by a branch on the loaded value and then
    a load of some predictable cache line. The attacker then uses timing
    of the processors cache to determine which direction the branch took
    *in the speculative execution*, and in turn what one bit of the
    loaded value was. Due to the nature of these timing side channels and
    the branch predictor on Intel processors, this allows an attacker to
    leak data only accessible to a privileged domain (like the kernel)
    back into an unprivileged domain.

    The goal is simple: avoid generating code which contains an indirect
    branch that could have its prediction poisoned by an attacker. In
    many cases, the compiler can simply use directed conditional branches
    and a small search tree. LLVM already has support for lowering
    switches in this way and the first step of this patch is to disable
    jump-table lowering of switches and introduce a pass to rewrite
    explicit indirectbr sequences into a switch over integers.

    However, there is no fully general alternative to indirect calls. We
    introduce a new construct we call a "retpoline" to implement indirect
    calls in a non-speculatable way. It can be thought of loosely as a
    trampoline for indirect calls which uses the RET instruction on x86.
    Further, we arrange for a specific call->ret sequence which ensures
    the processor predicts the return to go to a controlled, known
    location. The retpoline then "smashes" the return address pushed onto
    the stack by the call with the desired target of the original
    indirect call. The result is a predicted return to the next
    instruction after a call (which can be used to trap speculative
    execution within an infinite loop) and an actual indirect branch to
    an arbitrary address.

    On 64-bit x86 ABIs, this is especially easily done in the compiler by
    using a guaranteed scratch register to pass the target into this
    device.  For 32-bit ABIs there isn't a guaranteed scratch register
    and so several different retpoline variants are introduced to use a
    scratch register if one is available in the calling convention and to
    otherwise use direct stack push/pop sequences to pass the target
    address.

    This "retpoline" mitigation is fully described in the following blog
    post: https://support.google.com/faqs/answer/7625886

    We also support a target feature that disables emission of the
    retpoline thunk by the compiler to allow for custom thunks if users
    want them.  These are particularly useful in environments like
    kernels that routinely do hot-patching on boot and want to hot-patch
    their thunk to different code sequences. They can write this custom
    thunk and use `-mretpoline-external-thunk` *in addition* to
    `-mretpoline`. In this case, on x86-64 thu thunk names must be:
    ```
      __llvm_external_retpoline_r11
    ```
    or on 32-bit:
    ```
      __llvm_external_retpoline_eax
      __llvm_external_retpoline_ecx
      __llvm_external_retpoline_edx
      __llvm_external_retpoline_push
    ```
    And the target of the retpoline is passed in the named register, or in
    the case of the `push` suffix on the top of the stack via a `pushl`
    instruction.

    There is one other important source of indirect branches in x86 ELF
    binaries: the PLT. These patches also include support for LLD to
    generate PLT entries that perform a retpoline-style indirection.

    The only other indirect branches remaining that we are aware of are
    from precompiled runtimes (such as crt0.o and similar). The ones we
    have found are not really attackable, and so we have not focused on
    them here, but eventually these runtimes should also be replicated for
    retpoline-ed configurations for completeness.

    For kernels or other freestanding or fully static executables, the
    compiler switch `-mretpoline` is sufficient to fully mitigate this
    particular attack. For dynamic executables, you must compile *all*
    libraries with `-mretpoline` and additionally link the dynamic
    executable and all shared libraries with LLD and pass `-z
    retpolineplt` (or use similar functionality from some other linker).
    We strongly recommend also using `-z now` as non-lazy binding allows
    the retpoline-mitigated PLT to be substantially smaller.

    When manually apply similar transformations to `-mretpoline` to the
    Linux kernel we observed very small performance hits to applications
    running typic al workloads, and relatively minor hits (approximately
    2%) even for extremely syscall-heavy applications. This is largely
    due to the small number of indirect branches that occur in
    performance sensitive paths of the kernel.

    When using these patches on statically linked applications,
    especially C++ applications, you should expect to see a much more
    dramatic performance hit. For microbenchmarks that are switch,
    indirect-, or virtual-call heavy we have seen overheads ranging from
    10% to 50%.

    However, real-world workloads exhibit substantially lower performance
    impact. Notably, techniques such as PGO and ThinLTO dramatically
    reduce the impact of hot indirect calls (by speculatively promoting
    them to direct calls) and allow optimized search trees to be used to
    lower switches. If you need to deploy these techniques in C++
    applications, we *strongly* recommend that you ensure all hot call
    targets are statically linked (avoiding PLT indirection) and use both
    PGO and ThinLTO. Well tuned servers using all of these techniques saw
    5% - 10% overhead from the use of retpoline.

    We will add detailed documentation covering these components in
    subsequent patches, but wanted to make the core functionality
    available as soon as possible. Happy for more code review, but we'd
    really like to get these patches landed and backported ASAP for
    obvious reasons. We're planning to backport this to both 6.0 and 5.0
    release streams and get a 5.0 release with just this cherry picked
    ASAP for distros and vendors.

    This patch is the work of a number of people over the past month:
    Eric, Reid, Rui, and myself. I'm mailing it out as a single commit
    due to the time sensitive nature of landing this and the need to
    backport it. Huge thanks to everyone who helped out here, and
    everyone at Intel who helped out in discussions about how to craft
    this. Also, credit goes to Paul Turner (at Google, but not an LLVM
    contributor) for much of the underlying retpoline design.

    Reviewers: echristo, rnk, ruiu, craig.topper, DavidKreitzer

    Subscribers: sanjoy, emaste, mcrosier, mgorny, mehdi_amini, hiraditya, llvm-commits

    Differential Revision: https://reviews.llvm.org/D41723

  MFC after:	3 months
  X-MFC-With:	r327952
  PR:		224669

Changes:
_U  head/contrib/compiler-rt/
_U  head/contrib/libc++/
_U  head/contrib/llvm/
  head/contrib/llvm/include/llvm/CodeGen/Passes.h
  head/contrib/llvm/include/llvm/CodeGen/TargetInstrInfo.h
  head/contrib/llvm/include/llvm/CodeGen/TargetLowering.h
  head/contrib/llvm/include/llvm/CodeGen/TargetPassConfig.h
  head/contrib/llvm/include/llvm/CodeGen/TargetSubtargetInfo.h
  head/contrib/llvm/include/llvm/InitializePasses.h
  head/contrib/llvm/lib/CodeGen/CodeGen.cpp
  head/contrib/llvm/lib/CodeGen/IndirectBrExpandPass.cpp
  head/contrib/llvm/lib/CodeGen/SelectionDAG/LegalizeDAG.cpp
  head/contrib/llvm/lib/CodeGen/SelectionDAG/ScheduleDAGRRList.cpp
  head/contrib/llvm/lib/CodeGen/TargetPassConfig.cpp
  head/contrib/llvm/lib/CodeGen/TargetSubtargetInfo.cpp
  head/contrib/llvm/lib/Target/AMDGPU/SIInstrInfo.cpp
  head/contrib/llvm/lib/Target/ARM/Thumb1InstrInfo.cpp
  head/contrib/llvm/lib/Target/ARM/Thumb1InstrInfo.h
  head/contrib/llvm/lib/Target/Mips/MipsISelLowering.cpp
  head/contrib/llvm/lib/Target/Mips/MipsTargetObjectFile.cpp
  head/contrib/llvm/lib/Target/Sparc/SparcFrameLowering.cpp
  head/contrib/llvm/lib/Target/X86/X86.h
  head/contrib/llvm/lib/Target/X86/X86.td
  head/contrib/llvm/lib/Target/X86/X86AsmPrinter.h
  head/contrib/llvm/lib/Target/X86/X86FastISel.cpp
  head/contrib/llvm/lib/Target/X86/X86FrameLowering.cpp
  head/contrib/llvm/lib/Target/X86/X86ISelDAGToDAG.cpp
  head/contrib/llvm/lib/Target/X86/X86ISelLowering.cpp
  head/contrib/llvm/lib/Target/X86/X86ISelLowering.h
  head/contrib/llvm/lib/Target/X86/X86InstrCompiler.td
  head/contrib/llvm/lib/Target/X86/X86InstrControl.td
  head/contrib/llvm/lib/Target/X86/X86InstrInfo.td
  head/contrib/llvm/lib/Target/X86/X86MCInstLower.cpp
  head/contrib/llvm/lib/Target/X86/X86RetpolineThunks.cpp
  head/contrib/llvm/lib/Target/X86/X86Subtarget.cpp
  head/contrib/llvm/lib/Target/X86/X86Subtarget.h
  head/contrib/llvm/lib/Target/X86/X86TargetMachine.cpp
  head/contrib/llvm/lib/Transforms/Scalar/DeadStoreElimination.cpp
  head/contrib/llvm/lib/Transforms/Scalar/SeparateConstOffsetFromGEP.cpp
_U  head/contrib/llvm/tools/clang/
  head/contrib/llvm/tools/clang/include/clang/Driver/Options.td
  head/contrib/llvm/tools/clang/lib/Basic/Targets/X86.cpp
  head/contrib/llvm/tools/clang/lib/Basic/Targets/X86.h
_U  head/contrib/llvm/tools/lld/
  head/contrib/llvm/tools/lld/ELF/Arch/X86.cpp
  head/contrib/llvm/tools/lld/ELF/Arch/X86_64.cpp
  head/contrib/llvm/tools/lld/ELF/Config.h
  head/contrib/llvm/tools/lld/ELF/Driver.cpp
_U  head/contrib/llvm/tools/lldb/
  head/contrib/llvm/tools/opt/opt.cpp
  head/lib/clang/include/clang/Basic/Version.inc
  head/lib/clang/include/lld/Common/Version.inc
  head/lib/clang/include/llvm/Support/VCSRevision.h
  head/lib/clang/libllvm/Makefile
Comment 59 Jan Beich freebsd_committer 2018-02-02 23:36:14 UTC
Dimitry, assuming cluster machines support AVX2 how useful an -exp run with the following in make.conf would be in terms of uncovering Clang crashes? Would C++98 workaround get in the way if applied for better coverage?

  CPUTYPE ?= native
  # XXX bug 112997: Haswell-like
  MACHINE_CPU += avx2 avx sse42 sse41 ssse3 sse3 popcnt fma3
  .if ${MACHINE_CPUARCH} == i386
  MACHINE_CPU += sse2 sse i686 mmx i586 i486
  .endif

Reading bug 223300 and bug 225488 I get the impression quite a few of our users tweak CPUTYPE.
Comment 60 Dimitry Andric freebsd_committer 2018-02-02 23:45:51 UTC
(In reply to Jan Beich from comment #59)
> Dimitry, assuming cluster machines support AVX2 how useful an -exp run with
> the following in make.conf would be in terms of uncovering Clang crashes?
> Would C++98 workaround get in the way if applied for better coverage?
> 
>   CPUTYPE ?= native
>   # XXX bug 112997: Haswell-like
>   MACHINE_CPU += avx2 avx sse42 sse41 ssse3 sse3 popcnt fma3
>   .if ${MACHINE_CPUARCH} == i386
>   MACHINE_CPU += sse2 sse i686 mmx i586 i486
>   .endif
> 
> Reading bug 223300 and bug 225488 I get the impression quite a few of our
> users tweak CPUTYPE.

Hmm, I'm not really a big fan of the 'native' setting, I'd rather just specify the exact CPU we're targeting instead.  So if you want AVX2, I think specifying CPUTYPE=core-avx2 should be enough?
Comment 61 Jan Beich freebsd_committer 2018-02-16 08:04:57 UTC
Dimitry, can you MFC Clang/libc++ 6 to /stable/11 before code slush 2018-04-20 ? It should help C++11 (or later) adoption in upstream projects that only do QA for released FreeBSD versions.
https://www.freebsd.org/releases/11.2R/schedule.html

FWIW, Rust 1.25 (scheduled on 2018-03-29) will use bundled LLVM 6.0. It appears to have a weird __atomic* issue on i386.
https://github.com/rust-lang/rust/pull/47828
https://github.com/rust-lang/llvm/commit/93250244ee5d
Comment 62 commit-hook freebsd_committer 2018-02-16 20:46:35 UTC
A commit references this bug:

Author: dim
Date: Fri Feb 16 20:45:35 UTC 2018
New revision: 329410
URL: https://svnweb.freebsd.org/changeset/base/329410

Log:
  Upgrade our copies of clang, llvm, lld, lldb, compiler-rt and libc++ to
  6.0.0 (branches/release_60 r325330).

  MFC after:	3 months
  X-MFC-With:	r327952
  PR:		224669

Changes:
_U  head/contrib/compiler-rt/
  head/contrib/compiler-rt/lib/asan/asan_linux.cc
_U  head/contrib/libc++/
_U  head/contrib/llvm/
  head/contrib/llvm/include/llvm/IR/IntrinsicsAMDGPU.td
  head/contrib/llvm/include/llvm/IR/IntrinsicsX86.td
  head/contrib/llvm/include/llvm/MC/MCAsmMacro.h
  head/contrib/llvm/include/llvm/MC/MCContext.h
  head/contrib/llvm/include/llvm/Support/GenericDomTreeConstruction.h
  head/contrib/llvm/lib/CodeGen/AsmPrinter/DebugHandlerBase.cpp
  head/contrib/llvm/lib/CodeGen/AsmPrinter/DwarfUnit.cpp
  head/contrib/llvm/lib/CodeGen/LivePhysRegs.cpp
  head/contrib/llvm/lib/CodeGen/SelectionDAG/DAGCombiner.cpp
  head/contrib/llvm/lib/CodeGen/SplitKit.cpp
  head/contrib/llvm/lib/CodeGen/SplitKit.h
  head/contrib/llvm/lib/IR/AutoUpgrade.cpp
  head/contrib/llvm/lib/MC/MCParser/AsmParser.cpp
  head/contrib/llvm/lib/Target/AMDGPU/AMDGPUISelLowering.cpp
  head/contrib/llvm/lib/Target/AMDGPU/AMDGPUISelLowering.h
  head/contrib/llvm/lib/Target/AMDGPU/AMDGPUInstrInfo.cpp
  head/contrib/llvm/lib/Target/AMDGPU/AMDGPUInstrInfo.h
  head/contrib/llvm/lib/Target/AMDGPU/AMDGPUInstrInfo.td
  head/contrib/llvm/lib/Target/AMDGPU/AMDGPURegisterBankInfo.cpp
  head/contrib/llvm/lib/Target/AMDGPU/SIISelLowering.cpp
  head/contrib/llvm/lib/Target/AMDGPU/Utils/AMDGPUBaseInfo.cpp
  head/contrib/llvm/lib/Target/AMDGPU/Utils/AMDGPUBaseInfo.h
  head/contrib/llvm/lib/Target/AMDGPU/VOP2Instructions.td
  head/contrib/llvm/lib/Target/X86/MCTargetDesc/X86MCCodeEmitter.cpp
  head/contrib/llvm/lib/Target/X86/X86AsmPrinter.cpp
  head/contrib/llvm/lib/Target/X86/X86DomainReassignment.cpp
  head/contrib/llvm/lib/Target/X86/X86ISelLowering.cpp
  head/contrib/llvm/lib/Target/X86/X86IntrinsicsInfo.h
  head/contrib/llvm/lib/Target/X86/X86RetpolineThunks.cpp
  head/contrib/llvm/lib/Transforms/InstCombine/InstCombineCalls.cpp
_U  head/contrib/llvm/tools/clang/
  head/contrib/llvm/tools/clang/include/clang/AST/DeclBase.h
  head/contrib/llvm/tools/clang/lib/AST/ASTContext.cpp
  head/contrib/llvm/tools/clang/lib/AST/DeclBase.cpp
  head/contrib/llvm/tools/clang/lib/AST/MicrosoftMangle.cpp
  head/contrib/llvm/tools/clang/lib/CodeGen/CodeGenModule.cpp
  head/contrib/llvm/tools/clang/lib/CodeGen/ItaniumCXXABI.cpp
  head/contrib/llvm/tools/clang/lib/Format/TokenAnnotator.cpp
  head/contrib/llvm/tools/clang/lib/Format/UnwrappedLineParser.cpp
  head/contrib/llvm/tools/clang/lib/Format/UnwrappedLineParser.h
  head/contrib/llvm/tools/clang/lib/Headers/avx512bwintrin.h
  head/contrib/llvm/tools/clang/lib/Headers/avx512fintrin.h
  head/contrib/llvm/tools/clang/lib/Lex/LiteralSupport.cpp
  head/contrib/llvm/tools/clang/lib/Sema/SemaChecking.cpp
  head/contrib/llvm/tools/clang/lib/Sema/SemaInit.cpp
_U  head/contrib/llvm/tools/lld/
  head/contrib/llvm/tools/lld/COFF/PDB.cpp
  head/contrib/llvm/tools/lld/ELF/Driver.cpp
  head/contrib/llvm/tools/lld/ELF/InputFiles.cpp
  head/contrib/llvm/tools/lld/ELF/Options.td
_U  head/contrib/llvm/tools/lldb/
  head/contrib/llvm/tools/lldb/source/Plugins/Platform/NetBSD/PlatformNetBSD.cpp
  head/contrib/llvm/tools/lldb/source/Plugins/Process/NetBSD/NativeProcessNetBSD.cpp
  head/lib/clang/include/clang/Basic/Version.inc
  head/lib/clang/include/lld/Common/Version.inc
  head/lib/clang/include/llvm/Support/VCSRevision.h
Comment 63 commit-hook freebsd_committer 2018-02-25 13:20:56 UTC
A commit references this bug:

Author: dim
Date: Sun Feb 25 13:20:34 UTC 2018
New revision: 329983
URL: https://svnweb.freebsd.org/changeset/base/329983

Log:
  Upgrade our copies of clang, llvm, lld, lldb, compiler-rt and libc++ to
  6.0.0 (branches/release_60 r325932).  This corresponds to 6.0.0 rc3.

  MFC after:	3 months
  X-MFC-With:	r327952
  PR:		224669

Changes:
_U  head/contrib/compiler-rt/
_U  head/contrib/libc++/
_U  head/contrib/llvm/
  head/contrib/llvm/include/llvm/Bitcode/LLVMBitCodes.h
  head/contrib/llvm/include/llvm/MC/MCAsmMacro.h
  head/contrib/llvm/include/llvm/Transforms/Utils/LoopUtils.h
  head/contrib/llvm/lib/Analysis/ScalarEvolution.cpp
  head/contrib/llvm/lib/Bitcode/Reader/BitcodeReader.cpp
  head/contrib/llvm/lib/Bitcode/Writer/BitcodeWriter.cpp
  head/contrib/llvm/lib/Target/AArch64/AArch64InstructionSelector.cpp
  head/contrib/llvm/lib/Target/AMDGPU/SIInstrInfo.cpp
  head/contrib/llvm/lib/Target/PowerPC/PPCCTRLoops.cpp
  head/contrib/llvm/lib/Target/X86/X86.td
  head/contrib/llvm/lib/Transforms/InstCombine/InstCombineSelect.cpp
  head/contrib/llvm/lib/Transforms/Scalar/LICM.cpp
  head/contrib/llvm/lib/Transforms/Utils/LoopUtils.cpp
  head/contrib/llvm/lib/Transforms/Vectorize/LoopVectorize.cpp
_U  head/contrib/llvm/tools/clang/
  head/contrib/llvm/tools/clang/lib/Basic/Targets/X86.cpp
  head/contrib/llvm/tools/clang/lib/Sema/SemaExpr.cpp
_U  head/contrib/llvm/tools/lld/
  head/contrib/llvm/tools/lld/ELF/Driver.cpp
  head/contrib/llvm/tools/lld/ELF/Options.td
_U  head/contrib/llvm/tools/lldb/
  head/lib/clang/include/clang/Basic/Version.inc
  head/lib/clang/include/lld/Common/Version.inc
  head/lib/clang/include/llvm/Support/VCSRevision.h
Comment 64 commit-hook freebsd_committer 2018-03-04 17:07:00 UTC
A commit references this bug:

Author: dim
Date: Sun Mar  4 17:06:39 UTC 2018
New revision: 330384
URL: https://svnweb.freebsd.org/changeset/base/330384

Log:
  Upgrade our copies of clang, llvm, lld, lldb, compiler-rt and libc++ to
  6.0.0 release (upstream r326565).

  Release notes for llvm, clang and lld will be available here soon:
  <http://releases.llvm.org/6.0.0/docs/ReleaseNotes.html>
  <http://releases.llvm.org/6.0.0/tools/clang/docs/ReleaseNotes.html>
  <http://releases.llvm.org/6.0.0/tools/lld/docs/ReleaseNotes.html>

  Relnotes:	yes
  MFC after:	3 months
  X-MFC-With:	r327952
  PR:		224669

Changes:
_U  head/contrib/compiler-rt/
_U  head/contrib/libc++/
_U  head/contrib/llvm/
  head/contrib/llvm/lib/Target/AArch64/AArch64InstructionSelector.cpp
  head/contrib/llvm/lib/Target/X86/X86ISelLowering.cpp
_U  head/contrib/llvm/tools/clang/
  head/contrib/llvm/tools/clang/include/clang/Basic/AttrDocs.td
  head/contrib/llvm/tools/clang/lib/Basic/Version.cpp
_U  head/contrib/llvm/tools/lld/
_U  head/contrib/llvm/tools/lldb/
  head/lib/clang/freebsd_cc_version.h
  head/lib/clang/include/clang/Basic/Version.inc
  head/lib/clang/include/lld/Common/Version.inc
  head/lib/clang/include/llvm/Support/VCSRevision.h
  head/sys/sys/param.h
Comment 65 commit-hook freebsd_committer 2018-03-04 17:12:08 UTC
A commit references this bug:

Author: dim
Date: Sun Mar  4 17:11:29 UTC 2018
New revision: 51459
URL: https://svnweb.freebsd.org/changeset/doc/51459

Log:
  Document __FreeBSD_version value 1200060 (upgrading clang, llvm, lld,
  lldb, compiler-rt and libc++ to 6.0.0 release).

  PR:		224669

Changes:
  head/en_US.ISO8859-1/books/porters-handbook/versions/chapter.xml